Package com.ocient.jdbc.proto

# Class PlanProtocol.Operator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>
com.ocient.jdbc.proto.PlanProtocol.Operator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.OperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.Operator

    public static final class PlanProtocol.Operator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>
    implements PlanProtocol.OperatorOrBuilder

    Represents an operator node in the plan

Protobuf type `xg.db.sqlPlans.Operator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.Operator.Builder` | `addAllChildren​(Iterable<? extends PlanProtocol.Operator> values)` | The children of this operator - order does matter
`PlanProtocol.Operator.Builder` | `addAllColCard​(Iterable<? extends Long> values)` | The estimated # of unique values for each col (in the same order)
`PlanProtocol.Operator.Builder` | `addAllColSizes​(Iterable<? extends Integer> values)` | the average size of each output column
`PlanProtocol.Operator.Builder` | `addAllErrorPartition​(Iterable<? extends Integer> values)` | errorPartition = UNIT_MAX => apply the error on all partitions
`PlanProtocol.Operator.Builder` | `addAllErrorTktLevel​(Iterable<? extends Integer> values)` | 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`PlanProtocol.Operator.Builder` | `addAllOutputColumns​(Iterable<String> values)` | The columns that come out of this operator
`PlanProtocol.Operator.Builder` | `addAllOutputIsNullable​(Iterable<? extends Boolean> values)` | Which output columns are nullable?
`PlanProtocol.Operator.Builder` | `addAllOutputTypes​(Iterable<? extends PlanProtocol.SqlColType> values)` | The types for each of those columns (in the same order)
`PlanProtocol.Operator.Builder` | `addAllOutputTypeStrings​(Iterable<String> values)` | The types for each of those columns as strings (in the same order)
`PlanProtocol.Operator.Builder` | `addAllOutputTypesValue​(Iterable<Integer> values)` | The types for each of those columns (in the same order)
`PlanProtocol.Operator.Builder` | `addAllPartitionCounts​(Iterable<? extends Integer> values)` | `repeated uint32 partition_counts = 25;`
`PlanProtocol.Operator.Builder` | `addAllPartitioning​(Iterable<? extends PlanProtocol.EquivalentPartitioning> values)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.Operator.Builder` | `addAllSortDirections​(Iterable<? extends Boolean> values)` | For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`PlanProtocol.Operator.Builder` | `addAllSortNullsFirst​(Iterable<? extends Boolean> values)` | If there is a sort order are nulls first? (or last)
`PlanProtocol.Operator.Builder` | `addAllSortOrder​(Iterable<? extends Integer> values)` | If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`PlanProtocol.Operator.Builder` | `addAllStorageSpaceUuids​(Iterable<String> values)` | `repeated string storage_space_uuids = 26;`
`PlanProtocol.Operator.Builder` | `addAllTestoomflags​(Iterable<? extends Long> values)` | Vector of OOM flags for testing
`PlanProtocol.Operator.Builder` | `addChildren​(int index, PlanProtocol.Operator value)` | The children of this operator - order does matter
`PlanProtocol.Operator.Builder` | `addChildren​(int index, PlanProtocol.Operator.Builder builderForValue)` | The children of this operator - order does matter
`PlanProtocol.Operator.Builder` | `addChildren​(PlanProtocol.Operator value)` | The children of this operator - order does matter
`PlanProtocol.Operator.Builder` | `addChildren​(PlanProtocol.Operator.Builder builderForValue)` | The children of this operator - order does matter
`PlanProtocol.Operator.Builder` | `addChildrenBuilder()` | The children of this operator - order does matter
`PlanProtocol.Operator.Builder` | `addChildrenBuilder​(int index)` | The children of this operator - order does matter
`PlanProtocol.Operator.Builder` | `addColCard​(long value)` | The estimated # of unique values for each col (in the same order)
`PlanProtocol.Operator.Builder` | `addColSizes​(int value)` | the average size of each output column
`PlanProtocol.Operator.Builder` | `addErrorPartition​(int value)` | errorPartition = UNIT_MAX => apply the error on all partitions
`PlanProtocol.Operator.Builder` | `addErrorTktLevel​(int value)` | 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`PlanProtocol.Operator.Builder` | `addOutputColumns​(String value)` | The columns that come out of this operator
`PlanProtocol.Operator.Builder` | `addOutputColumnsBytes​(com.google.protobuf.ByteString value)` | The columns that come out of this operator
`PlanProtocol.Operator.Builder` | `addOutputIsNullable​(boolean value)` | Which output columns are nullable?
`PlanProtocol.Operator.Builder` | `addOutputTypes​(PlanProtocol.SqlColType value)` | The types for each of those columns (in the same order)
`PlanProtocol.Operator.Builder` | `addOutputTypeStrings​(String value)` | The types for each of those columns as strings (in the same order)
`PlanProtocol.Operator.Builder` | `addOutputTypeStringsBytes​(com.google.protobuf.ByteString value)` | The types for each of those columns as strings (in the same order)
`PlanProtocol.Operator.Builder` | `addOutputTypesValue​(int value)` | The types for each of those columns (in the same order)
`PlanProtocol.Operator.Builder` | `addPartitionCounts​(int value)` | `repeated uint32 partition_counts = 25;`
`PlanProtocol.Operator.Builder` | `addPartitioning​(int index, PlanProtocol.EquivalentPartitioning value)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.Operator.Builder` | `addPartitioning​(int index, PlanProtocol.EquivalentPartitioning.Builder builderForValue)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.Operator.Builder` | `addPartitioning​(PlanProtocol.EquivalentPartitioning value)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.Operator.Builder` | `addPartitioning​(PlanProtocol.EquivalentPartitioning.Builder builderForValue)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.EquivalentPartitioning.Builder` | `addPartitioningBuilder()` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.EquivalentPartitioning.Builder` | `addPartitioningBuilder​(int index)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.Operator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.Operator.Builder` | `addSortDirections​(boolean value)` | For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`PlanProtocol.Operator.Builder` | `addSortNullsFirst​(boolean value)` | If there is a sort order are nulls first? (or last)
`PlanProtocol.Operator.Builder` | `addSortOrder​(int value)` | If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`PlanProtocol.Operator.Builder` | `addStorageSpaceUuids​(String value)` | `repeated string storage_space_uuids = 26;`
`PlanProtocol.Operator.Builder` | `addStorageSpaceUuidsBytes​(com.google.protobuf.ByteString value)` | `repeated string storage_space_uuids = 26;`
`PlanProtocol.Operator.Builder` | `addTestoomflags​(long value)` | Vector of OOM flags for testing
`PlanProtocol.Operator` | `build()` |
`PlanProtocol.Operator` | `buildPartial()` |
`PlanProtocol.Operator.Builder` | `clear()` |
`PlanProtocol.Operator.Builder` | `clearAggregationOperator()` | `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.Operator.Builder` | `clearAvgColSizeVirtualOperator()` | `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`PlanProtocol.Operator.Builder` | `clearBranchIndex()` | `uint32 branch_index = 23;`
`PlanProtocol.Operator.Builder` | `clearBroadcastOperator()` | `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`PlanProtocol.Operator.Builder` | `clearChildIndex()` | these are calculated by level-1(sql-node) vm compilation process
`PlanProtocol.Operator.Builder` | `clearChildren()` | The children of this operator - order does matter
`PlanProtocol.Operator.Builder` | `clearColCard()` | The estimated # of unique values for each col (in the same order)
`PlanProtocol.Operator.Builder` | `clearColCardVirtualOperator()` | `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.Operator.Builder` | `clearColDistVirtualOperator()` | `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`PlanProtocol.Operator.Builder` | `clearColSizes()` | the average size of each output column
`PlanProtocol.Operator.Builder` | `clearColumnEmitterOperator()` | `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`PlanProtocol.Operator.Builder` | `clearCost()` | The cost for this operator as determined by the optimizer
`PlanProtocol.Operator.Builder` | `clearDistanceFromLeaf()` | `uint64 distance_from_leaf = 21;`
`PlanProtocol.Operator.Builder` | `clearEosOperator()` | `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.Operator.Builder` | `clearErrorOperator()` | `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`PlanProtocol.Operator.Builder` | `clearErrorPartition()` | errorPartition = UNIT_MAX => apply the error on all partitions
`PlanProtocol.Operator.Builder` | `clearErrorTktLevel()` | 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`PlanProtocol.Operator.Builder` | `clearErrorType()` | `.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`
`PlanProtocol.Operator.Builder` | `clearExceptOperator()` | `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.Operator.Builder` | `clearExtendOperator()` | `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`PlanProtocol.Operator.Builder` | `clearExternal()` | If true, the operator should run externally
`PlanProtocol.Operator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.Operator.Builder` | `clearGatherOperator()` | `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.Operator.Builder` | `clearGdcLookupOperator()` | `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.Operator.Builder` | `clearGenerateOperator()` | `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.Operator.Builder` | `clearHashJoinOperator()` | `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`PlanProtocol.Operator.Builder` | `clearId()` | The id of the operator (used for referencing to a previously defined operator) If type is REFERENCE, then this is the id of the operator being referenced This is a uuid
`PlanProtocol.Operator.Builder` | `clearIncrementingBigintOperator()` | `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.Operator.Builder` | `clearIncrementingIntOperator()` | `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.Operator.Builder` | `clearIndexAggOperator()` | `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.Operator.Builder` | `clearIndexCountStarOperator()` | `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.Operator.Builder` | `clearIndexDistinctOperator()` | `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.Operator.Builder` | `clearIndexOperator()` | `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.Operator.Builder` | `clearIntersectOperator()` | `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.Operator.Builder` | `clearLimitOperator()` | `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.Operator.Builder` | `clearMakeVectorOperator()` | `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.Operator.Builder` | `clearMatrixExtendOperator()` | `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`PlanProtocol.Operator.Builder` | `clearMemoryUsage()` | The estimated number of bytes of memory needed by this operator (may be zero)
`PlanProtocol.Operator.Builder` | `clearModifySchemaOperator()` | `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`PlanProtocol.Operator.Builder` | `clearNumDistinctParents()` | `uint32 numDistinctParents = 20;`
`PlanProtocol.Operator.Builder` | `clearNumParents()` | `uint32 numParents = 14;`
`PlanProtocol.Operator.Builder` | `clearOffsetOperator()` | `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.Operator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.Operator.Builder` | `clearOrderedAggOperator()` | `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.Operator.Builder` | `clearOrderedDistinctOperator()` | `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.Operator.Builder` | `clearOrderedGatherOperator()` | `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`PlanProtocol.Operator.Builder` | `clearOutputCardinality()` | The estimated number of rows produced by this operator
`PlanProtocol.Operator.Builder` | `clearOutputColumns()` | The columns that come out of this operator
`PlanProtocol.Operator.Builder` | `clearOutputIsNullable()` | Which output columns are nullable?
`PlanProtocol.Operator.Builder` | `clearOutputTypes()` | The types for each of those columns (in the same order)
`PlanProtocol.Operator.Builder` | `clearOutputTypeStrings()` | The types for each of those columns as strings (in the same order)
`PlanProtocol.Operator.Builder` | `clearPartitionCounts()` | `repeated uint32 partition_counts = 25;`
`PlanProtocol.Operator.Builder` | `clearPartitionIndex()` | `uint32 partition_index = 24;`
`PlanProtocol.Operator.Builder` | `clearPartitioning()` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.Operator.Builder` | `clearProductOperator()` | `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.Operator.Builder` | `clearProjectOutOperator()` | `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.Operator.Builder` | `clearQueriesVirtualOperator()` | `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.Operator.Builder` | `clearRandomIntOperator()` | `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.Operator.Builder` | `clearReferenceOperator()` | `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.Operator.Builder` | `clearRenameOperator()` | `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.Operator.Builder` | `clearReorderOperator()` | `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.Operator.Builder` | `clearRequestOneof()` |
`PlanProtocol.Operator.Builder` | `clearRootOperator()` | `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.Operator.Builder` | `clearSelectOperator()` | `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`PlanProtocol.Operator.Builder` | `clearShuffleOperator()` | `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`PlanProtocol.Operator.Builder` | `clearSortDirections()` | For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`PlanProtocol.Operator.Builder` | `clearSortNullsFirst()` | If there is a sort order are nulls first? (or last)
`PlanProtocol.Operator.Builder` | `clearSortOperator()` | `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`PlanProtocol.Operator.Builder` | `clearSortOrder()` | If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`PlanProtocol.Operator.Builder` | `clearStorageSpaceUuids()` | `repeated string storage_space_uuids = 26;`
`PlanProtocol.Operator.Builder` | `clearSuperSelectOperator()` | `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.Operator.Builder` | `clearSwitchOperator()` | `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.Operator.Builder` | `clearSystemConfigurationVirtualOperator()` | `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.Operator.Builder` | `clearTableCardVirtualOperator()` | `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.Operator.Builder` | `clearTableScanOperator()` | `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.Operator.Builder` | `clearTeeOperator()` | `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`PlanProtocol.Operator.Builder` | `clearTestoomflags()` | Vector of OOM flags for testing
`PlanProtocol.Operator.Builder` | `clearType()` | `.xg.db.sqlPlans.Operator.OperatorType type = 1;`
`PlanProtocol.Operator.Builder` | `clearUnionOperator()` | `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`PlanProtocol.Operator.Builder` | `clearUnmakeVectorOperator()` | `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`PlanProtocol.Operator.Builder` | `clearUpstreamPartitionSensitive()` | value 28 is used up above under outputTypeStrings value 29 is used above
`PlanProtocol.Operator.Builder` | `clearWindowOperator()` | `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`PlanProtocol.Operator.Builder` | `clone()` |
`PlanProtocol.AggregationOperator` | `getAggregationOperator()` | `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.AggregationOperator.Builder` | `getAggregationOperatorBuilder()` | `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.AggregationOperatorOrBuilder` | `getAggregationOperatorOrBuilder()` | `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.AvgColSizeVirtualOperator` | `getAvgColSizeVirtualOperator()` | `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`PlanProtocol.AvgColSizeVirtualOperator.Builder` | `getAvgColSizeVirtualOperatorBuilder()` | `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`PlanProtocol.AvgColSizeVirtualOperatorOrBuilder` | `getAvgColSizeVirtualOperatorOrBuilder()` | `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`int` | `getBranchIndex()` | `uint32 branch_index = 23;`
`PlanProtocol.BroadcastOperator` | `getBroadcastOperator()` | `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`PlanProtocol.BroadcastOperator.Builder` | `getBroadcastOperatorBuilder()` | `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`PlanProtocol.BroadcastOperatorOrBuilder` | `getBroadcastOperatorOrBuilder()` | `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`int` | `getChildIndex()` | these are calculated by level-1(sql-node) vm compilation process
`PlanProtocol.Operator` | `getChildren​(int index)` | The children of this operator - order does matter
`PlanProtocol.Operator.Builder` | `getChildrenBuilder​(int index)` | The children of this operator - order does matter
`List<PlanProtocol.Operator.Builder>` | `getChildrenBuilderList()` | The children of this operator - order does matter
`int` | `getChildrenCount()` | The children of this operator - order does matter
`List<PlanProtocol.Operator>` | `getChildrenList()` | The children of this operator - order does matter
`PlanProtocol.OperatorOrBuilder` | `getChildrenOrBuilder​(int index)` | The children of this operator - order does matter
`List<? extends PlanProtocol.OperatorOrBuilder>` | `getChildrenOrBuilderList()` | The children of this operator - order does matter
`long` | `getColCard​(int index)` | The estimated # of unique values for each col (in the same order)
`int` | `getColCardCount()` | The estimated # of unique values for each col (in the same order)
`List<Long>` | `getColCardList()` | The estimated # of unique values for each col (in the same order)
`PlanProtocol.ColCardVirtualOperator` | `getColCardVirtualOperator()` | `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.ColCardVirtualOperator.Builder` | `getColCardVirtualOperatorBuilder()` | `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.ColCardVirtualOperatorOrBuilder` | `getColCardVirtualOperatorOrBuilder()` | `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.ColDistVirtualOperator` | `getColDistVirtualOperator()` | `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`PlanProtocol.ColDistVirtualOperator.Builder` | `getColDistVirtualOperatorBuilder()` | `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`PlanProtocol.ColDistVirtualOperatorOrBuilder` | `getColDistVirtualOperatorOrBuilder()` | `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`int` | `getColSizes​(int index)` | the average size of each output column
`int` | `getColSizesCount()` | the average size of each output column
`List<Integer>` | `getColSizesList()` | the average size of each output column
`PlanProtocol.ColumnEmitterOperator` | `getColumnEmitterOperator()` | `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`PlanProtocol.ColumnEmitterOperator.Builder` | `getColumnEmitterOperatorBuilder()` | `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`PlanProtocol.ColumnEmitterOperatorOrBuilder` | `getColumnEmitterOperatorOrBuilder()` | `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`double` | `getCost()` | The cost for this operator as determined by the optimizer
`PlanProtocol.Operator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`long` | `getDistanceFromLeaf()` | `uint64 distance_from_leaf = 21;`
`PlanProtocol.EosOperator` | `getEosOperator()` | `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.EosOperator.Builder` | `getEosOperatorBuilder()` | `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.EosOperatorOrBuilder` | `getEosOperatorOrBuilder()` | `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.ErrorOperator` | `getErrorOperator()` | `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`PlanProtocol.ErrorOperator.Builder` | `getErrorOperatorBuilder()` | `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`PlanProtocol.ErrorOperatorOrBuilder` | `getErrorOperatorOrBuilder()` | `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`int` | `getErrorPartition​(int index)` | errorPartition = UNIT_MAX => apply the error on all partitions
`int` | `getErrorPartitionCount()` | errorPartition = UNIT_MAX => apply the error on all partitions
`List<Integer>` | `getErrorPartitionList()` | errorPartition = UNIT_MAX => apply the error on all partitions
`int` | `getErrorTktLevel​(int index)` | 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`int` | `getErrorTktLevelCount()` | 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`List<Integer>` | `getErrorTktLevelList()` | 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`PlanProtocol.Operator.ErrorType` | `getErrorType()` | `.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`
`int` | `getErrorTypeValue()` | `.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`
`PlanProtocol.ExceptOperator` | `getExceptOperator()` | `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.ExceptOperator.Builder` | `getExceptOperatorBuilder()` | `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.ExceptOperatorOrBuilder` | `getExceptOperatorOrBuilder()` | `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.ExtendOperator` | `getExtendOperator()` | `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`PlanProtocol.ExtendOperator.Builder` | `getExtendOperatorBuilder()` | `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`PlanProtocol.ExtendOperatorOrBuilder` | `getExtendOperatorOrBuilder()` | `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`boolean` | `getExternal()` | If true, the operator should run externally
`PlanProtocol.GatherOperator` | `getGatherOperator()` | `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.GatherOperator.Builder` | `getGatherOperatorBuilder()` | `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.GatherOperatorOrBuilder` | `getGatherOperatorOrBuilder()` | `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.GdcLookupOperator` | `getGdcLookupOperator()` | `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.GdcLookupOperator.Builder` | `getGdcLookupOperatorBuilder()` | `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.GdcLookupOperatorOrBuilder` | `getGdcLookupOperatorOrBuilder()` | `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.GenerateOperator` | `getGenerateOperator()` | `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.GenerateOperator.Builder` | `getGenerateOperatorBuilder()` | `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.GenerateOperatorOrBuilder` | `getGenerateOperatorOrBuilder()` | `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.HashJoinOperator` | `getHashJoinOperator()` | `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`PlanProtocol.HashJoinOperator.Builder` | `getHashJoinOperatorBuilder()` | `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`PlanProtocol.HashJoinOperatorOrBuilder` | `getHashJoinOperatorOrBuilder()` | `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`String` | `getId()` | The id of the operator (used for referencing to a previously defined operator) If type is REFERENCE, then this is the id of the operator being referenced This is a uuid
`com.google.protobuf.ByteString` | `getIdBytes()` | The id of the operator (used for referencing to a previously defined operator) If type is REFERENCE, then this is the id of the operator being referenced This is a uuid
`PlanProtocol.IncrementingBigIntOperator` | `getIncrementingBigintOperator()` | `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.IncrementingBigIntOperator.Builder` | `getIncrementingBigintOperatorBuilder()` | `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.IncrementingBigIntOperatorOrBuilder` | `getIncrementingBigintOperatorOrBuilder()` | `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.IncrementingIntOperator` | `getIncrementingIntOperator()` | `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.IncrementingIntOperator.Builder` | `getIncrementingIntOperatorBuilder()` | `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.IncrementingIntOperatorOrBuilder` | `getIncrementingIntOperatorOrBuilder()` | `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.IndexAggOperator` | `getIndexAggOperator()` | `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.IndexAggOperator.Builder` | `getIndexAggOperatorBuilder()` | `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.IndexAggOperatorOrBuilder` | `getIndexAggOperatorOrBuilder()` | `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.IndexCountStarOperator` | `getIndexCountStarOperator()` | `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.IndexCountStarOperator.Builder` | `getIndexCountStarOperatorBuilder()` | `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.IndexCountStarOperatorOrBuilder` | `getIndexCountStarOperatorOrBuilder()` | `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.IndexDistinctOperator` | `getIndexDistinctOperator()` | `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.IndexDistinctOperator.Builder` | `getIndexDistinctOperatorBuilder()` | `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.IndexDistinctOperatorOrBuilder` | `getIndexDistinctOperatorOrBuilder()` | `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.IndexOperator` | `getIndexOperator()` | `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.IndexOperator.Builder` | `getIndexOperatorBuilder()` | `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.IndexOperatorOrBuilder` | `getIndexOperatorOrBuilder()` | `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.IntersectOperator` | `getIntersectOperator()` | `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.IntersectOperator.Builder` | `getIntersectOperatorBuilder()` | `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.IntersectOperatorOrBuilder` | `getIntersectOperatorOrBuilder()` | `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.LimitOperator` | `getLimitOperator()` | `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.LimitOperator.Builder` | `getLimitOperatorBuilder()` | `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.LimitOperatorOrBuilder` | `getLimitOperatorOrBuilder()` | `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.MakeVectorOperator` | `getMakeVectorOperator()` | `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.MakeVectorOperator.Builder` | `getMakeVectorOperatorBuilder()` | `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.MakeVectorOperatorOrBuilder` | `getMakeVectorOperatorOrBuilder()` | `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.MatrixExtendOperator` | `getMatrixExtendOperator()` | `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`PlanProtocol.MatrixExtendOperator.Builder` | `getMatrixExtendOperatorBuilder()` | `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`PlanProtocol.MatrixExtendOperatorOrBuilder` | `getMatrixExtendOperatorOrBuilder()` | `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`long` | `getMemoryUsage()` | The estimated number of bytes of memory needed by this operator (may be zero)
`PlanProtocol.ModifySchemaOperator` | `getModifySchemaOperator()` | `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`PlanProtocol.ModifySchemaOperator.Builder` | `getModifySchemaOperatorBuilder()` | `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`PlanProtocol.ModifySchemaOperatorOrBuilder` | `getModifySchemaOperatorOrBuilder()` | `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`int` | `getNumDistinctParents()` | `uint32 numDistinctParents = 20;`
`int` | `getNumParents()` | `uint32 numParents = 14;`
`PlanProtocol.OffsetOperator` | `getOffsetOperator()` | `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.OffsetOperator.Builder` | `getOffsetOperatorBuilder()` | `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.OffsetOperatorOrBuilder` | `getOffsetOperatorOrBuilder()` | `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.OrderedAggOperator` | `getOrderedAggOperator()` | `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.OrderedAggOperator.Builder` | `getOrderedAggOperatorBuilder()` | `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.OrderedAggOperatorOrBuilder` | `getOrderedAggOperatorOrBuilder()` | `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.OrderedDistinctOperator` | `getOrderedDistinctOperator()` | `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.OrderedDistinctOperator.Builder` | `getOrderedDistinctOperatorBuilder()` | `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.OrderedDistinctOperatorOrBuilder` | `getOrderedDistinctOperatorOrBuilder()` | `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.OrderedGatherOperator` | `getOrderedGatherOperator()` | `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`PlanProtocol.OrderedGatherOperator.Builder` | `getOrderedGatherOperatorBuilder()` | `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`PlanProtocol.OrderedGatherOperatorOrBuilder` | `getOrderedGatherOperatorOrBuilder()` | `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`long` | `getOutputCardinality()` | The estimated number of rows produced by this operator
`String` | `getOutputColumns​(int index)` | The columns that come out of this operator
`com.google.protobuf.ByteString` | `getOutputColumnsBytes​(int index)` | The columns that come out of this operator
`int` | `getOutputColumnsCount()` | The columns that come out of this operator
`com.google.protobuf.ProtocolStringList` | `getOutputColumnsList()` | The columns that come out of this operator
`boolean` | `getOutputIsNullable​(int index)` | Which output columns are nullable?
`int` | `getOutputIsNullableCount()` | Which output columns are nullable?
`List<Boolean>` | `getOutputIsNullableList()` | Which output columns are nullable?
`PlanProtocol.SqlColType` | `getOutputTypes​(int index)` | The types for each of those columns (in the same order)
`int` | `getOutputTypesCount()` | The types for each of those columns (in the same order)
`List<PlanProtocol.SqlColType>` | `getOutputTypesList()` | The types for each of those columns (in the same order)
`String` | `getOutputTypeStrings​(int index)` | The types for each of those columns as strings (in the same order)
`com.google.protobuf.ByteString` | `getOutputTypeStringsBytes​(int index)` | The types for each of those columns as strings (in the same order)
`int` | `getOutputTypeStringsCount()` | The types for each of those columns as strings (in the same order)
`com.google.protobuf.ProtocolStringList` | `getOutputTypeStringsList()` | The types for each of those columns as strings (in the same order)
`int` | `getOutputTypesValue​(int index)` | The types for each of those columns (in the same order)
`List<Integer>` | `getOutputTypesValueList()` | The types for each of those columns (in the same order)
`int` | `getPartitionCounts​(int index)` | `repeated uint32 partition_counts = 25;`
`int` | `getPartitionCountsCount()` | `repeated uint32 partition_counts = 25;`
`List<Integer>` | `getPartitionCountsList()` | `repeated uint32 partition_counts = 25;`
`int` | `getPartitionIndex()` | `uint32 partition_index = 24;`
`PlanProtocol.EquivalentPartitioning` | `getPartitioning​(int index)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.EquivalentPartitioning.Builder` | `getPartitioningBuilder​(int index)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`List<PlanProtocol.EquivalentPartitioning.Builder>` | `getPartitioningBuilderList()` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`int` | `getPartitioningCount()` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`List<PlanProtocol.EquivalentPartitioning>` | `getPartitioningList()` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.EquivalentPartitioningOrBuilder` | `getPartitioningOrBuilder​(int index)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`List<? extends PlanProtocol.EquivalentPartitioningOrBuilder>` | `getPartitioningOrBuilderList()` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.ProductOperator` | `getProductOperator()` | `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.ProductOperator.Builder` | `getProductOperatorBuilder()` | `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.ProductOperatorOrBuilder` | `getProductOperatorOrBuilder()` | `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.ProjectOutOperator` | `getProjectOutOperator()` | `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.ProjectOutOperator.Builder` | `getProjectOutOperatorBuilder()` | `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.ProjectOutOperatorOrBuilder` | `getProjectOutOperatorOrBuilder()` | `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.QueriesVirtualOperator` | `getQueriesVirtualOperator()` | `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.QueriesVirtualOperator.Builder` | `getQueriesVirtualOperatorBuilder()` | `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.QueriesVirtualOperatorOrBuilder` | `getQueriesVirtualOperatorOrBuilder()` | `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.RandomIntOperator` | `getRandomIntOperator()` | `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.RandomIntOperator.Builder` | `getRandomIntOperatorBuilder()` | `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.RandomIntOperatorOrBuilder` | `getRandomIntOperatorOrBuilder()` | `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.ReferenceOperator` | `getReferenceOperator()` | `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.ReferenceOperator.Builder` | `getReferenceOperatorBuilder()` | `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.ReferenceOperatorOrBuilder` | `getReferenceOperatorOrBuilder()` | `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.RenameOperator` | `getRenameOperator()` | `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.RenameOperator.Builder` | `getRenameOperatorBuilder()` | `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.RenameOperatorOrBuilder` | `getRenameOperatorOrBuilder()` | `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.ReorderOperator` | `getReorderOperator()` | `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.ReorderOperator.Builder` | `getReorderOperatorBuilder()` | `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.ReorderOperatorOrBuilder` | `getReorderOperatorOrBuilder()` | `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.Operator.RequestOneofCase` | `getRequestOneofCase()` |
`PlanProtocol.RootOperator` | `getRootOperator()` | `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.RootOperator.Builder` | `getRootOperatorBuilder()` | `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.RootOperatorOrBuilder` | `getRootOperatorOrBuilder()` | `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.SelectOperator` | `getSelectOperator()` | `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`PlanProtocol.SelectOperator.Builder` | `getSelectOperatorBuilder()` | `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`PlanProtocol.SelectOperatorOrBuilder` | `getSelectOperatorOrBuilder()` | `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`PlanProtocol.ShuffleOperator` | `getShuffleOperator()` | `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`PlanProtocol.ShuffleOperator.Builder` | `getShuffleOperatorBuilder()` | `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`PlanProtocol.ShuffleOperatorOrBuilder` | `getShuffleOperatorOrBuilder()` | `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`boolean` | `getSortDirections​(int index)` | For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`int` | `getSortDirectionsCount()` | For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`List<Boolean>` | `getSortDirectionsList()` | For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`boolean` | `getSortNullsFirst​(int index)` | If there is a sort order are nulls first? (or last)
`int` | `getSortNullsFirstCount()` | If there is a sort order are nulls first? (or last)
`List<Boolean>` | `getSortNullsFirstList()` | If there is a sort order are nulls first? (or last)
`PlanProtocol.SortOperator` | `getSortOperator()` | `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`PlanProtocol.SortOperator.Builder` | `getSortOperatorBuilder()` | `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`PlanProtocol.SortOperatorOrBuilder` | `getSortOperatorOrBuilder()` | `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`int` | `getSortOrder​(int index)` | If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`int` | `getSortOrderCount()` | If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`List<Integer>` | `getSortOrderList()` | If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`String` | `getStorageSpaceUuids​(int index)` | `repeated string storage_space_uuids = 26;`
`com.google.protobuf.ByteString` | `getStorageSpaceUuidsBytes​(int index)` | `repeated string storage_space_uuids = 26;`
`int` | `getStorageSpaceUuidsCount()` | `repeated string storage_space_uuids = 26;`
`com.google.protobuf.ProtocolStringList` | `getStorageSpaceUuidsList()` | `repeated string storage_space_uuids = 26;`
`PlanProtocol.SuperSelectOperator` | `getSuperSelectOperator()` | `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.SuperSelectOperator.Builder` | `getSuperSelectOperatorBuilder()` | `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.SuperSelectOperatorOrBuilder` | `getSuperSelectOperatorOrBuilder()` | `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.SwitchOperator` | `getSwitchOperator()` | `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.SwitchOperator.Builder` | `getSwitchOperatorBuilder()` | `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.SwitchOperatorOrBuilder` | `getSwitchOperatorOrBuilder()` | `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.SystemConfigurationVirtualOperator` | `getSystemConfigurationVirtualOperator()` | `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` | `getSystemConfigurationVirtualOperatorBuilder()` | `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder` | `getSystemConfigurationVirtualOperatorOrBuilder()` | `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.TableCardVirtualOperator` | `getTableCardVirtualOperator()` | `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.TableCardVirtualOperator.Builder` | `getTableCardVirtualOperatorBuilder()` | `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.TableCardVirtualOperatorOrBuilder` | `getTableCardVirtualOperatorOrBuilder()` | `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.TableScanOperator` | `getTableScanOperator()` | `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.TableScanOperator.Builder` | `getTableScanOperatorBuilder()` | `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.TableScanOperatorOrBuilder` | `getTableScanOperatorOrBuilder()` | `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.TeeOperator` | `getTeeOperator()` | `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`PlanProtocol.TeeOperator.Builder` | `getTeeOperatorBuilder()` | `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`PlanProtocol.TeeOperatorOrBuilder` | `getTeeOperatorOrBuilder()` | `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`long` | `getTestoomflags​(int index)` | Vector of OOM flags for testing
`int` | `getTestoomflagsCount()` | Vector of OOM flags for testing
`List<Long>` | `getTestoomflagsList()` | Vector of OOM flags for testing
`PlanProtocol.Operator.OperatorType` | `getType()` | `.xg.db.sqlPlans.Operator.OperatorType type = 1;`
`int` | `getTypeValue()` | `.xg.db.sqlPlans.Operator.OperatorType type = 1;`
`PlanProtocol.UnionOperator` | `getUnionOperator()` | `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`PlanProtocol.UnionOperator.Builder` | `getUnionOperatorBuilder()` | `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`PlanProtocol.UnionOperatorOrBuilder` | `getUnionOperatorOrBuilder()` | `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`PlanProtocol.UnmakeVectorOperator` | `getUnmakeVectorOperator()` | `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`PlanProtocol.UnmakeVectorOperator.Builder` | `getUnmakeVectorOperatorBuilder()` | `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`PlanProtocol.UnmakeVectorOperatorOrBuilder` | `getUnmakeVectorOperatorOrBuilder()` | `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`boolean` | `getUpstreamPartitionSensitive()` | value 28 is used up above under outputTypeStrings value 29 is used above
`PlanProtocol.WindowOperator` | `getWindowOperator()` | `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`PlanProtocol.WindowOperator.Builder` | `getWindowOperatorBuilder()` | `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`PlanProtocol.WindowOperatorOrBuilder` | `getWindowOperatorOrBuilder()` | `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`boolean` | `hasAggregationOperator()` | `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`boolean` | `hasAvgColSizeVirtualOperator()` | `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`boolean` | `hasBroadcastOperator()` | `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`boolean` | `hasColCardVirtualOperator()` | `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`boolean` | `hasColDistVirtualOperator()` | `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`boolean` | `hasColumnEmitterOperator()` | `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`boolean` | `hasEosOperator()` | `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`boolean` | `hasErrorOperator()` | `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`boolean` | `hasExceptOperator()` | `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`boolean` | `hasExtendOperator()` | `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`boolean` | `hasGatherOperator()` | `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`boolean` | `hasGdcLookupOperator()` | `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`boolean` | `hasGenerateOperator()` | `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`boolean` | `hasHashJoinOperator()` | `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`boolean` | `hasIncrementingBigintOperator()` | `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`boolean` | `hasIncrementingIntOperator()` | `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`boolean` | `hasIndexAggOperator()` | `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`boolean` | `hasIndexCountStarOperator()` | `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`boolean` | `hasIndexDistinctOperator()` | `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`boolean` | `hasIndexOperator()` | `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`boolean` | `hasIntersectOperator()` | `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`boolean` | `hasLimitOperator()` | `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`boolean` | `hasMakeVectorOperator()` | `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`boolean` | `hasMatrixExtendOperator()` | `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`boolean` | `hasModifySchemaOperator()` | `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`boolean` | `hasOffsetOperator()` | `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`boolean` | `hasOrderedAggOperator()` | `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`boolean` | `hasOrderedDistinctOperator()` | `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`boolean` | `hasOrderedGatherOperator()` | `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`boolean` | `hasProductOperator()` | `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`boolean` | `hasProjectOutOperator()` | `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`boolean` | `hasQueriesVirtualOperator()` | `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`boolean` | `hasRandomIntOperator()` | `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`boolean` | `hasReferenceOperator()` | `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`boolean` | `hasRenameOperator()` | `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`boolean` | `hasReorderOperator()` | `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`boolean` | `hasRootOperator()` | `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`boolean` | `hasSelectOperator()` | `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`boolean` | `hasShuffleOperator()` | `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`boolean` | `hasSortOperator()` | `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`boolean` | `hasSuperSelectOperator()` | `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`boolean` | `hasSwitchOperator()` | `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`boolean` | `hasSystemConfigurationVirtualOperator()` | `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`boolean` | `hasTableCardVirtualOperator()` | `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`boolean` | `hasTableScanOperator()` | `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`boolean` | `hasTeeOperator()` | `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`boolean` | `hasUnionOperator()` | `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`boolean` | `hasUnmakeVectorOperator()` | `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`boolean` | `hasWindowOperator()` | `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.Operator.Builder` | `mergeAggregationOperator​(PlanProtocol.AggregationOperator value)` | `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.Operator.Builder` | `mergeAvgColSizeVirtualOperator​(PlanProtocol.AvgColSizeVirtualOperator value)` | `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`PlanProtocol.Operator.Builder` | `mergeBroadcastOperator​(PlanProtocol.BroadcastOperator value)` | `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`PlanProtocol.Operator.Builder` | `mergeColCardVirtualOperator​(PlanProtocol.ColCardVirtualOperator value)` | `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.Operator.Builder` | `mergeColDistVirtualOperator​(PlanProtocol.ColDistVirtualOperator value)` | `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`PlanProtocol.Operator.Builder` | `mergeColumnEmitterOperator​(PlanProtocol.ColumnEmitterOperator value)` | `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`PlanProtocol.Operator.Builder` | `mergeEosOperator​(PlanProtocol.EosOperator value)` | `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.Operator.Builder` | `mergeErrorOperator​(PlanProtocol.ErrorOperator value)` | `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`PlanProtocol.Operator.Builder` | `mergeExceptOperator​(PlanProtocol.ExceptOperator value)` | `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.Operator.Builder` | `mergeExtendOperator​(PlanProtocol.ExtendOperator value)` | `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`PlanProtocol.Operator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.Operator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.Operator.Builder` | `mergeFrom​(PlanProtocol.Operator other)` |
`PlanProtocol.Operator.Builder` | `mergeGatherOperator​(PlanProtocol.GatherOperator value)` | `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.Operator.Builder` | `mergeGdcLookupOperator​(PlanProtocol.GdcLookupOperator value)` | `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.Operator.Builder` | `mergeGenerateOperator​(PlanProtocol.GenerateOperator value)` | `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.Operator.Builder` | `mergeHashJoinOperator​(PlanProtocol.HashJoinOperator value)` | `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`PlanProtocol.Operator.Builder` | `mergeIncrementingBigintOperator​(PlanProtocol.IncrementingBigIntOperator value)` | `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.Operator.Builder` | `mergeIncrementingIntOperator​(PlanProtocol.IncrementingIntOperator value)` | `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.Operator.Builder` | `mergeIndexAggOperator​(PlanProtocol.IndexAggOperator value)` | `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.Operator.Builder` | `mergeIndexCountStarOperator​(PlanProtocol.IndexCountStarOperator value)` | `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.Operator.Builder` | `mergeIndexDistinctOperator​(PlanProtocol.IndexDistinctOperator value)` | `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.Operator.Builder` | `mergeIndexOperator​(PlanProtocol.IndexOperator value)` | `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.Operator.Builder` | `mergeIntersectOperator​(PlanProtocol.IntersectOperator value)` | `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.Operator.Builder` | `mergeLimitOperator​(PlanProtocol.LimitOperator value)` | `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.Operator.Builder` | `mergeMakeVectorOperator​(PlanProtocol.MakeVectorOperator value)` | `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.Operator.Builder` | `mergeMatrixExtendOperator​(PlanProtocol.MatrixExtendOperator value)` | `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`PlanProtocol.Operator.Builder` | `mergeModifySchemaOperator​(PlanProtocol.ModifySchemaOperator value)` | `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`PlanProtocol.Operator.Builder` | `mergeOffsetOperator​(PlanProtocol.OffsetOperator value)` | `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.Operator.Builder` | `mergeOrderedAggOperator​(PlanProtocol.OrderedAggOperator value)` | `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.Operator.Builder` | `mergeOrderedDistinctOperator​(PlanProtocol.OrderedDistinctOperator value)` | `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.Operator.Builder` | `mergeOrderedGatherOperator​(PlanProtocol.OrderedGatherOperator value)` | `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`PlanProtocol.Operator.Builder` | `mergeProductOperator​(PlanProtocol.ProductOperator value)` | `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.Operator.Builder` | `mergeProjectOutOperator​(PlanProtocol.ProjectOutOperator value)` | `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.Operator.Builder` | `mergeQueriesVirtualOperator​(PlanProtocol.QueriesVirtualOperator value)` | `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.Operator.Builder` | `mergeRandomIntOperator​(PlanProtocol.RandomIntOperator value)` | `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.Operator.Builder` | `mergeReferenceOperator​(PlanProtocol.ReferenceOperator value)` | `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.Operator.Builder` | `mergeRenameOperator​(PlanProtocol.RenameOperator value)` | `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.Operator.Builder` | `mergeReorderOperator​(PlanProtocol.ReorderOperator value)` | `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.Operator.Builder` | `mergeRootOperator​(PlanProtocol.RootOperator value)` | `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.Operator.Builder` | `mergeSelectOperator​(PlanProtocol.SelectOperator value)` | `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`PlanProtocol.Operator.Builder` | `mergeShuffleOperator​(PlanProtocol.ShuffleOperator value)` | `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`PlanProtocol.Operator.Builder` | `mergeSortOperator​(PlanProtocol.SortOperator value)` | `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`PlanProtocol.Operator.Builder` | `mergeSuperSelectOperator​(PlanProtocol.SuperSelectOperator value)` | `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.Operator.Builder` | `mergeSwitchOperator​(PlanProtocol.SwitchOperator value)` | `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.Operator.Builder` | `mergeSystemConfigurationVirtualOperator​(PlanProtocol.SystemConfigurationVirtualOperator value)` | `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.Operator.Builder` | `mergeTableCardVirtualOperator​(PlanProtocol.TableCardVirtualOperator value)` | `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.Operator.Builder` | `mergeTableScanOperator​(PlanProtocol.TableScanOperator value)` | `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.Operator.Builder` | `mergeTeeOperator​(PlanProtocol.TeeOperator value)` | `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`PlanProtocol.Operator.Builder` | `mergeUnionOperator​(PlanProtocol.UnionOperator value)` | `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`PlanProtocol.Operator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.Operator.Builder` | `mergeUnmakeVectorOperator​(PlanProtocol.UnmakeVectorOperator value)` | `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`PlanProtocol.Operator.Builder` | `mergeWindowOperator​(PlanProtocol.WindowOperator value)` | `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`PlanProtocol.Operator.Builder` | `removeChildren​(int index)` | The children of this operator - order does matter
`PlanProtocol.Operator.Builder` | `removePartitioning​(int index)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.Operator.Builder` | `setAggregationOperator​(PlanProtocol.AggregationOperator value)` | `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.Operator.Builder` | `setAggregationOperator​(PlanProtocol.AggregationOperator.Builder builderForValue)` | `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.Operator.Builder` | `setAvgColSizeVirtualOperator​(PlanProtocol.AvgColSizeVirtualOperator value)` | `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`PlanProtocol.Operator.Builder` | `setAvgColSizeVirtualOperator​(PlanProtocol.AvgColSizeVirtualOperator.Builder builderForValue)` | `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`PlanProtocol.Operator.Builder` | `setBranchIndex​(int value)` | `uint32 branch_index = 23;`
`PlanProtocol.Operator.Builder` | `setBroadcastOperator​(PlanProtocol.BroadcastOperator value)` | `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`PlanProtocol.Operator.Builder` | `setBroadcastOperator​(PlanProtocol.BroadcastOperator.Builder builderForValue)` | `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`PlanProtocol.Operator.Builder` | `setChildIndex​(int value)` | these are calculated by level-1(sql-node) vm compilation process
`PlanProtocol.Operator.Builder` | `setChildren​(int index, PlanProtocol.Operator value)` | The children of this operator - order does matter
`PlanProtocol.Operator.Builder` | `setChildren​(int index, PlanProtocol.Operator.Builder builderForValue)` | The children of this operator - order does matter
`PlanProtocol.Operator.Builder` | `setColCard​(int index, long value)` | The estimated # of unique values for each col (in the same order)
`PlanProtocol.Operator.Builder` | `setColCardVirtualOperator​(PlanProtocol.ColCardVirtualOperator value)` | `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.Operator.Builder` | `setColCardVirtualOperator​(PlanProtocol.ColCardVirtualOperator.Builder builderForValue)` | `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.Operator.Builder` | `setColDistVirtualOperator​(PlanProtocol.ColDistVirtualOperator value)` | `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`PlanProtocol.Operator.Builder` | `setColDistVirtualOperator​(PlanProtocol.ColDistVirtualOperator.Builder builderForValue)` | `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`PlanProtocol.Operator.Builder` | `setColSizes​(int index, int value)` | the average size of each output column
`PlanProtocol.Operator.Builder` | `setColumnEmitterOperator​(PlanProtocol.ColumnEmitterOperator value)` | `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`PlanProtocol.Operator.Builder` | `setColumnEmitterOperator​(PlanProtocol.ColumnEmitterOperator.Builder builderForValue)` | `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`PlanProtocol.Operator.Builder` | `setCost​(double value)` | The cost for this operator as determined by the optimizer
`PlanProtocol.Operator.Builder` | `setDistanceFromLeaf​(long value)` | `uint64 distance_from_leaf = 21;`
`PlanProtocol.Operator.Builder` | `setEosOperator​(PlanProtocol.EosOperator value)` | `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.Operator.Builder` | `setEosOperator​(PlanProtocol.EosOperator.Builder builderForValue)` | `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.Operator.Builder` | `setErrorOperator​(PlanProtocol.ErrorOperator value)` | `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`PlanProtocol.Operator.Builder` | `setErrorOperator​(PlanProtocol.ErrorOperator.Builder builderForValue)` | `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`PlanProtocol.Operator.Builder` | `setErrorPartition​(int index, int value)` | errorPartition = UNIT_MAX => apply the error on all partitions
`PlanProtocol.Operator.Builder` | `setErrorTktLevel​(int index, int value)` | 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`PlanProtocol.Operator.Builder` | `setErrorType​(PlanProtocol.Operator.ErrorType value)` | `.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`
`PlanProtocol.Operator.Builder` | `setErrorTypeValue​(int value)` | `.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`
`PlanProtocol.Operator.Builder` | `setExceptOperator​(PlanProtocol.ExceptOperator value)` | `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.Operator.Builder` | `setExceptOperator​(PlanProtocol.ExceptOperator.Builder builderForValue)` | `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.Operator.Builder` | `setExtendOperator​(PlanProtocol.ExtendOperator value)` | `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`PlanProtocol.Operator.Builder` | `setExtendOperator​(PlanProtocol.ExtendOperator.Builder builderForValue)` | `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`PlanProtocol.Operator.Builder` | `setExternal​(boolean value)` | If true, the operator should run externally
`PlanProtocol.Operator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.Operator.Builder` | `setGatherOperator​(PlanProtocol.GatherOperator value)` | `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.Operator.Builder` | `setGatherOperator​(PlanProtocol.GatherOperator.Builder builderForValue)` | `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.Operator.Builder` | `setGdcLookupOperator​(PlanProtocol.GdcLookupOperator value)` | `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.Operator.Builder` | `setGdcLookupOperator​(PlanProtocol.GdcLookupOperator.Builder builderForValue)` | `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.Operator.Builder` | `setGenerateOperator​(PlanProtocol.GenerateOperator value)` | `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.Operator.Builder` | `setGenerateOperator​(PlanProtocol.GenerateOperator.Builder builderForValue)` | `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.Operator.Builder` | `setHashJoinOperator​(PlanProtocol.HashJoinOperator value)` | `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`PlanProtocol.Operator.Builder` | `setHashJoinOperator​(PlanProtocol.HashJoinOperator.Builder builderForValue)` | `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`PlanProtocol.Operator.Builder` | `setId​(String value)` | The id of the operator (used for referencing to a previously defined operator) If type is REFERENCE, then this is the id of the operator being referenced This is a uuid
`PlanProtocol.Operator.Builder` | `setIdBytes​(com.google.protobuf.ByteString value)` | The id of the operator (used for referencing to a previously defined operator) If type is REFERENCE, then this is the id of the operator being referenced This is a uuid
`PlanProtocol.Operator.Builder` | `setIncrementingBigintOperator​(PlanProtocol.IncrementingBigIntOperator value)` | `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.Operator.Builder` | `setIncrementingBigintOperator​(PlanProtocol.IncrementingBigIntOperator.Builder builderForValue)` | `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.Operator.Builder` | `setIncrementingIntOperator​(PlanProtocol.IncrementingIntOperator value)` | `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.Operator.Builder` | `setIncrementingIntOperator​(PlanProtocol.IncrementingIntOperator.Builder builderForValue)` | `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.Operator.Builder` | `setIndexAggOperator​(PlanProtocol.IndexAggOperator value)` | `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.Operator.Builder` | `setIndexAggOperator​(PlanProtocol.IndexAggOperator.Builder builderForValue)` | `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.Operator.Builder` | `setIndexCountStarOperator​(PlanProtocol.IndexCountStarOperator value)` | `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.Operator.Builder` | `setIndexCountStarOperator​(PlanProtocol.IndexCountStarOperator.Builder builderForValue)` | `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.Operator.Builder` | `setIndexDistinctOperator​(PlanProtocol.IndexDistinctOperator value)` | `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.Operator.Builder` | `setIndexDistinctOperator​(PlanProtocol.IndexDistinctOperator.Builder builderForValue)` | `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.Operator.Builder` | `setIndexOperator​(PlanProtocol.IndexOperator value)` | `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.Operator.Builder` | `setIndexOperator​(PlanProtocol.IndexOperator.Builder builderForValue)` | `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.Operator.Builder` | `setIntersectOperator​(PlanProtocol.IntersectOperator value)` | `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.Operator.Builder` | `setIntersectOperator​(PlanProtocol.IntersectOperator.Builder builderForValue)` | `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.Operator.Builder` | `setLimitOperator​(PlanProtocol.LimitOperator value)` | `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.Operator.Builder` | `setLimitOperator​(PlanProtocol.LimitOperator.Builder builderForValue)` | `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.Operator.Builder` | `setMakeVectorOperator​(PlanProtocol.MakeVectorOperator value)` | `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.Operator.Builder` | `setMakeVectorOperator​(PlanProtocol.MakeVectorOperator.Builder builderForValue)` | `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.Operator.Builder` | `setMatrixExtendOperator​(PlanProtocol.MatrixExtendOperator value)` | `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`PlanProtocol.Operator.Builder` | `setMatrixExtendOperator​(PlanProtocol.MatrixExtendOperator.Builder builderForValue)` | `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`PlanProtocol.Operator.Builder` | `setMemoryUsage​(long value)` | The estimated number of bytes of memory needed by this operator (may be zero)
`PlanProtocol.Operator.Builder` | `setModifySchemaOperator​(PlanProtocol.ModifySchemaOperator value)` | `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`PlanProtocol.Operator.Builder` | `setModifySchemaOperator​(PlanProtocol.ModifySchemaOperator.Builder builderForValue)` | `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`PlanProtocol.Operator.Builder` | `setNumDistinctParents​(int value)` | `uint32 numDistinctParents = 20;`
`PlanProtocol.Operator.Builder` | `setNumParents​(int value)` | `uint32 numParents = 14;`
`PlanProtocol.Operator.Builder` | `setOffsetOperator​(PlanProtocol.OffsetOperator value)` | `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.Operator.Builder` | `setOffsetOperator​(PlanProtocol.OffsetOperator.Builder builderForValue)` | `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.Operator.Builder` | `setOrderedAggOperator​(PlanProtocol.OrderedAggOperator value)` | `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.Operator.Builder` | `setOrderedAggOperator​(PlanProtocol.OrderedAggOperator.Builder builderForValue)` | `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.Operator.Builder` | `setOrderedDistinctOperator​(PlanProtocol.OrderedDistinctOperator value)` | `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.Operator.Builder` | `setOrderedDistinctOperator​(PlanProtocol.OrderedDistinctOperator.Builder builderForValue)` | `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.Operator.Builder` | `setOrderedGatherOperator​(PlanProtocol.OrderedGatherOperator value)` | `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`PlanProtocol.Operator.Builder` | `setOrderedGatherOperator​(PlanProtocol.OrderedGatherOperator.Builder builderForValue)` | `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`PlanProtocol.Operator.Builder` | `setOutputCardinality​(long value)` | The estimated number of rows produced by this operator
`PlanProtocol.Operator.Builder` | `setOutputColumns​(int index, String value)` | The columns that come out of this operator
`PlanProtocol.Operator.Builder` | `setOutputIsNullable​(int index, boolean value)` | Which output columns are nullable?
`PlanProtocol.Operator.Builder` | `setOutputTypes​(int index, PlanProtocol.SqlColType value)` | The types for each of those columns (in the same order)
`PlanProtocol.Operator.Builder` | `setOutputTypeStrings​(int index, String value)` | The types for each of those columns as strings (in the same order)
`PlanProtocol.Operator.Builder` | `setOutputTypesValue​(int index, int value)` | The types for each of those columns (in the same order)
`PlanProtocol.Operator.Builder` | `setPartitionCounts​(int index, int value)` | `repeated uint32 partition_counts = 25;`
`PlanProtocol.Operator.Builder` | `setPartitionIndex​(int value)` | `uint32 partition_index = 24;`
`PlanProtocol.Operator.Builder` | `setPartitioning​(int index, PlanProtocol.EquivalentPartitioning value)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.Operator.Builder` | `setPartitioning​(int index, PlanProtocol.EquivalentPartitioning.Builder builderForValue)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.Operator.Builder` | `setProductOperator​(PlanProtocol.ProductOperator value)` | `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.Operator.Builder` | `setProductOperator​(PlanProtocol.ProductOperator.Builder builderForValue)` | `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.Operator.Builder` | `setProjectOutOperator​(PlanProtocol.ProjectOutOperator value)` | `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.Operator.Builder` | `setProjectOutOperator​(PlanProtocol.ProjectOutOperator.Builder builderForValue)` | `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.Operator.Builder` | `setQueriesVirtualOperator​(PlanProtocol.QueriesVirtualOperator value)` | `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.Operator.Builder` | `setQueriesVirtualOperator​(PlanProtocol.QueriesVirtualOperator.Builder builderForValue)` | `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.Operator.Builder` | `setRandomIntOperator​(PlanProtocol.RandomIntOperator value)` | `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.Operator.Builder` | `setRandomIntOperator​(PlanProtocol.RandomIntOperator.Builder builderForValue)` | `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.Operator.Builder` | `setReferenceOperator​(PlanProtocol.ReferenceOperator value)` | `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.Operator.Builder` | `setReferenceOperator​(PlanProtocol.ReferenceOperator.Builder builderForValue)` | `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.Operator.Builder` | `setRenameOperator​(PlanProtocol.RenameOperator value)` | `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.Operator.Builder` | `setRenameOperator​(PlanProtocol.RenameOperator.Builder builderForValue)` | `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.Operator.Builder` | `setReorderOperator​(PlanProtocol.ReorderOperator value)` | `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.Operator.Builder` | `setReorderOperator​(PlanProtocol.ReorderOperator.Builder builderForValue)` | `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.Operator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.Operator.Builder` | `setRootOperator​(PlanProtocol.RootOperator value)` | `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.Operator.Builder` | `setRootOperator​(PlanProtocol.RootOperator.Builder builderForValue)` | `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.Operator.Builder` | `setSelectOperator​(PlanProtocol.SelectOperator value)` | `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`PlanProtocol.Operator.Builder` | `setSelectOperator​(PlanProtocol.SelectOperator.Builder builderForValue)` | `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`PlanProtocol.Operator.Builder` | `setShuffleOperator​(PlanProtocol.ShuffleOperator value)` | `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`PlanProtocol.Operator.Builder` | `setShuffleOperator​(PlanProtocol.ShuffleOperator.Builder builderForValue)` | `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`PlanProtocol.Operator.Builder` | `setSortDirections​(int index, boolean value)` | For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`PlanProtocol.Operator.Builder` | `setSortNullsFirst​(int index, boolean value)` | If there is a sort order are nulls first? (or last)
`PlanProtocol.Operator.Builder` | `setSortOperator​(PlanProtocol.SortOperator value)` | `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`PlanProtocol.Operator.Builder` | `setSortOperator​(PlanProtocol.SortOperator.Builder builderForValue)` | `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`PlanProtocol.Operator.Builder` | `setSortOrder​(int index, int value)` | If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`PlanProtocol.Operator.Builder` | `setStorageSpaceUuids​(int index, String value)` | `repeated string storage_space_uuids = 26;`
`PlanProtocol.Operator.Builder` | `setSuperSelectOperator​(PlanProtocol.SuperSelectOperator value)` | `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.Operator.Builder` | `setSuperSelectOperator​(PlanProtocol.SuperSelectOperator.Builder builderForValue)` | `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.Operator.Builder` | `setSwitchOperator​(PlanProtocol.SwitchOperator value)` | `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.Operator.Builder` | `setSwitchOperator​(PlanProtocol.SwitchOperator.Builder builderForValue)` | `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.Operator.Builder` | `setSystemConfigurationVirtualOperator​(PlanProtocol.SystemConfigurationVirtualOperator value)` | `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.Operator.Builder` | `setSystemConfigurationVirtualOperator​(PlanProtocol.SystemConfigurationVirtualOperator.Builder builderForValue)` | `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.Operator.Builder` | `setTableCardVirtualOperator​(PlanProtocol.TableCardVirtualOperator value)` | `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.Operator.Builder` | `setTableCardVirtualOperator​(PlanProtocol.TableCardVirtualOperator.Builder builderForValue)` | `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.Operator.Builder` | `setTableScanOperator​(PlanProtocol.TableScanOperator value)` | `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.Operator.Builder` | `setTableScanOperator​(PlanProtocol.TableScanOperator.Builder builderForValue)` | `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.Operator.Builder` | `setTeeOperator​(PlanProtocol.TeeOperator value)` | `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`PlanProtocol.Operator.Builder` | `setTeeOperator​(PlanProtocol.TeeOperator.Builder builderForValue)` | `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`PlanProtocol.Operator.Builder` | `setTestoomflags​(int index, long value)` | Vector of OOM flags for testing
`PlanProtocol.Operator.Builder` | `setType​(PlanProtocol.Operator.OperatorType value)` | `.xg.db.sqlPlans.Operator.OperatorType type = 1;`
`PlanProtocol.Operator.Builder` | `setTypeValue​(int value)` | `.xg.db.sqlPlans.Operator.OperatorType type = 1;`
`PlanProtocol.Operator.Builder` | `setUnionOperator​(PlanProtocol.UnionOperator value)` | `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`PlanProtocol.Operator.Builder` | `setUnionOperator​(PlanProtocol.UnionOperator.Builder builderForValue)` | `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`PlanProtocol.Operator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.Operator.Builder` | `setUnmakeVectorOperator​(PlanProtocol.UnmakeVectorOperator value)` | `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`PlanProtocol.Operator.Builder` | `setUnmakeVectorOperator​(PlanProtocol.UnmakeVectorOperator.Builder builderForValue)` | `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`PlanProtocol.Operator.Builder` | `setUpstreamPartitionSensitive​(boolean value)` | value 28 is used up above under outputTypeStrings value 29 is used above
`PlanProtocol.Operator.Builder` | `setWindowOperator​(PlanProtocol.WindowOperator value)` | `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`PlanProtocol.Operator.Builder` | `setWindowOperator​(PlanProtocol.WindowOperator.Builder builderForValue)` | `.xg.db.sqlPlans.WindowOperator window_operator = 65;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>`

### clear

public PlanProtocol.Operator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.Operator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.Operator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.Operator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.Operator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>`

### setField

public PlanProtocol.Operator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>`

### clearField

public PlanProtocol.Operator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>`

### clearOneof

public PlanProtocol.Operator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>`

### setRepeatedField

public PlanProtocol.Operator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>`

### addRepeatedField

public PlanProtocol.Operator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>`

### mergeFrom

public PlanProtocol.Operator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.Operator.Builder>`

### mergeFrom

public PlanProtocol.Operator.Builder mergeFrom​(PlanProtocol.Operator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>`

### mergeFrom

public PlanProtocol.Operator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.Operator.Builder>`
Throws:
  `IOException`

### getRequestOneofCase

public PlanProtocol.Operator.RequestOneofCase getRequestOneofCase()

Specified by:
  `getRequestOneofCase` in interface `PlanProtocol.OperatorOrBuilder`

### clearRequestOneof

public PlanProtocol.Operator.Builder clearRequestOneof()

### getTypeValue

public int getTypeValue()
`.xg.db.sqlPlans.Operator.OperatorType type = 1;`

Specified by:
  `getTypeValue` in interface `PlanProtocol.OperatorOrBuilder`

### setTypeValue

public PlanProtocol.Operator.Builder setTypeValue​(int value)
`.xg.db.sqlPlans.Operator.OperatorType type = 1;`

### getType

public PlanProtocol.Operator.OperatorType getType()
`.xg.db.sqlPlans.Operator.OperatorType type = 1;`

Specified by:
  `getType` in interface `PlanProtocol.OperatorOrBuilder`

### setType

public PlanProtocol.Operator.Builder setType​(PlanProtocol.Operator.OperatorType value)
`.xg.db.sqlPlans.Operator.OperatorType type = 1;`

### clearType

public PlanProtocol.Operator.Builder clearType()
`.xg.db.sqlPlans.Operator.OperatorType type = 1;`

### getId

public String getId()

    The id of the operator (used for referencing to a previously defined operator)
    If type is REFERENCE, then this is the id of the operator being referenced
    This is a uuid

`string id = 2;`

Specified by:
  `getId` in interface `PlanProtocol.OperatorOrBuilder`

### getIdBytes

public com.google.protobuf.ByteString getIdBytes()

    The id of the operator (used for referencing to a previously defined operator)
    If type is REFERENCE, then this is the id of the operator being referenced
    This is a uuid

`string id = 2;`

Specified by:
  `getIdBytes` in interface `PlanProtocol.OperatorOrBuilder`

### setId

public PlanProtocol.Operator.Builder setId​(String value)

    The id of the operator (used for referencing to a previously defined operator)
    If type is REFERENCE, then this is the id of the operator being referenced
    This is a uuid

`string id = 2;`

### clearId

public PlanProtocol.Operator.Builder clearId()

    The id of the operator (used for referencing to a previously defined operator)
    If type is REFERENCE, then this is the id of the operator being referenced
    This is a uuid

`string id = 2;`

### setIdBytes

public PlanProtocol.Operator.Builder setIdBytes​(com.google.protobuf.ByteString value)

    The id of the operator (used for referencing to a previously defined operator)
    If type is REFERENCE, then this is the id of the operator being referenced
    This is a uuid

`string id = 2;`

### getChildrenList

public List<PlanProtocol.Operator> getChildrenList()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

Specified by:
  `getChildrenList` in interface `PlanProtocol.OperatorOrBuilder`

### getChildrenCount

public int getChildrenCount()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

Specified by:
  `getChildrenCount` in interface `PlanProtocol.OperatorOrBuilder`

### getChildren

public PlanProtocol.Operator getChildren​(int index)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

Specified by:
  `getChildren` in interface `PlanProtocol.OperatorOrBuilder`

### setChildren

public PlanProtocol.Operator.Builder setChildren​(int index, PlanProtocol.Operator value)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### setChildren

public PlanProtocol.Operator.Builder setChildren​(int index, PlanProtocol.Operator.Builder builderForValue)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### addChildren

public PlanProtocol.Operator.Builder addChildren​(PlanProtocol.Operator value)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### addChildren

public PlanProtocol.Operator.Builder addChildren​(int index, PlanProtocol.Operator value)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### addChildren

public PlanProtocol.Operator.Builder addChildren​(PlanProtocol.Operator.Builder builderForValue)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### addChildren

public PlanProtocol.Operator.Builder addChildren​(int index, PlanProtocol.Operator.Builder builderForValue)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### addAllChildren

public PlanProtocol.Operator.Builder addAllChildren​(Iterable<? extends PlanProtocol.Operator> values)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### clearChildren

public PlanProtocol.Operator.Builder clearChildren()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### removeChildren

public PlanProtocol.Operator.Builder removeChildren​(int index)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### getChildrenBuilder

public PlanProtocol.Operator.Builder getChildrenBuilder​(int index)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### getChildrenOrBuilder

public PlanProtocol.OperatorOrBuilder getChildrenOrBuilder​(int index)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

Specified by:
  `getChildrenOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### getChildrenOrBuilderList

public List<? extends PlanProtocol.OperatorOrBuilder> getChildrenOrBuilderList()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

Specified by:
  `getChildrenOrBuilderList` in interface `PlanProtocol.OperatorOrBuilder`

### addChildrenBuilder

public PlanProtocol.Operator.Builder addChildrenBuilder()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### addChildrenBuilder

public PlanProtocol.Operator.Builder addChildrenBuilder​(int index)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### getChildrenBuilderList

public List<PlanProtocol.Operator.Builder> getChildrenBuilderList()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### getOutputColumnsList

public com.google.protobuf.ProtocolStringList getOutputColumnsList()

    The columns that come out of this operator

`repeated string outputColumns = 4;`

Specified by:
  `getOutputColumnsList` in interface `PlanProtocol.OperatorOrBuilder`

### getOutputColumnsCount

public int getOutputColumnsCount()

    The columns that come out of this operator

`repeated string outputColumns = 4;`

Specified by:
  `getOutputColumnsCount` in interface `PlanProtocol.OperatorOrBuilder`

### getOutputColumns

public String getOutputColumns​(int index)

    The columns that come out of this operator

`repeated string outputColumns = 4;`

Specified by:
  `getOutputColumns` in interface `PlanProtocol.OperatorOrBuilder`

### getOutputColumnsBytes

public com.google.protobuf.ByteString getOutputColumnsBytes​(int index)

    The columns that come out of this operator

`repeated string outputColumns = 4;`

Specified by:
  `getOutputColumnsBytes` in interface `PlanProtocol.OperatorOrBuilder`

### setOutputColumns

public PlanProtocol.Operator.Builder setOutputColumns​(int index, String value)

    The columns that come out of this operator

`repeated string outputColumns = 4;`

### addOutputColumns

public PlanProtocol.Operator.Builder addOutputColumns​(String value)

    The columns that come out of this operator

`repeated string outputColumns = 4;`

### addAllOutputColumns

public PlanProtocol.Operator.Builder addAllOutputColumns​(Iterable<String> values)

    The columns that come out of this operator

`repeated string outputColumns = 4;`

### clearOutputColumns

public PlanProtocol.Operator.Builder clearOutputColumns()

    The columns that come out of this operator

`repeated string outputColumns = 4;`

### addOutputColumnsBytes

public PlanProtocol.Operator.Builder addOutputColumnsBytes​(com.google.protobuf.ByteString value)

    The columns that come out of this operator

`repeated string outputColumns = 4;`

### getOutputTypesList

public List<PlanProtocol.SqlColType> getOutputTypesList()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Specified by:
  `getOutputTypesList` in interface `PlanProtocol.OperatorOrBuilder`

### getOutputTypesCount

public int getOutputTypesCount()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Specified by:
  `getOutputTypesCount` in interface `PlanProtocol.OperatorOrBuilder`

### getOutputTypes

public PlanProtocol.SqlColType getOutputTypes​(int index)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Specified by:
  `getOutputTypes` in interface `PlanProtocol.OperatorOrBuilder`

### setOutputTypes

public PlanProtocol.Operator.Builder setOutputTypes​(int index, PlanProtocol.SqlColType value)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

### addOutputTypes

public PlanProtocol.Operator.Builder addOutputTypes​(PlanProtocol.SqlColType value)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

### addAllOutputTypes

public PlanProtocol.Operator.Builder addAllOutputTypes​(Iterable<? extends PlanProtocol.SqlColType> values)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

### clearOutputTypes

public PlanProtocol.Operator.Builder clearOutputTypes()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

### getOutputTypesValueList

public List<Integer> getOutputTypesValueList()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Specified by:
  `getOutputTypesValueList` in interface `PlanProtocol.OperatorOrBuilder`

### getOutputTypesValue

public int getOutputTypesValue​(int index)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Specified by:
  `getOutputTypesValue` in interface `PlanProtocol.OperatorOrBuilder`

### setOutputTypesValue

public PlanProtocol.Operator.Builder setOutputTypesValue​(int index, int value)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

### addOutputTypesValue

public PlanProtocol.Operator.Builder addOutputTypesValue​(int value)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

### addAllOutputTypesValue

public PlanProtocol.Operator.Builder addAllOutputTypesValue​(Iterable<Integer> values)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

### getOutputTypeStringsList

public com.google.protobuf.ProtocolStringList getOutputTypeStringsList()

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

Specified by:
  `getOutputTypeStringsList` in interface `PlanProtocol.OperatorOrBuilder`

### getOutputTypeStringsCount

public int getOutputTypeStringsCount()

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

Specified by:
  `getOutputTypeStringsCount` in interface `PlanProtocol.OperatorOrBuilder`

### getOutputTypeStrings

public String getOutputTypeStrings​(int index)

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

Specified by:
  `getOutputTypeStrings` in interface `PlanProtocol.OperatorOrBuilder`

### getOutputTypeStringsBytes

public com.google.protobuf.ByteString getOutputTypeStringsBytes​(int index)

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

Specified by:
  `getOutputTypeStringsBytes` in interface `PlanProtocol.OperatorOrBuilder`

### setOutputTypeStrings

public PlanProtocol.Operator.Builder setOutputTypeStrings​(int index, String value)

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

### addOutputTypeStrings

public PlanProtocol.Operator.Builder addOutputTypeStrings​(String value)

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

### addAllOutputTypeStrings

public PlanProtocol.Operator.Builder addAllOutputTypeStrings​(Iterable<String> values)

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

### clearOutputTypeStrings

public PlanProtocol.Operator.Builder clearOutputTypeStrings()

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

### addOutputTypeStringsBytes

public PlanProtocol.Operator.Builder addOutputTypeStringsBytes​(com.google.protobuf.ByteString value)

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

### getColCardList

public List<Long> getColCardList()

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

Specified by:
  `getColCardList` in interface `PlanProtocol.OperatorOrBuilder`

### getColCardCount

public int getColCardCount()

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

Specified by:
  `getColCardCount` in interface `PlanProtocol.OperatorOrBuilder`

### getColCard

public long getColCard​(int index)

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

Specified by:
  `getColCard` in interface `PlanProtocol.OperatorOrBuilder`

### setColCard

public PlanProtocol.Operator.Builder setColCard​(int index, long value)

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

### addColCard

public PlanProtocol.Operator.Builder addColCard​(long value)

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

### addAllColCard

public PlanProtocol.Operator.Builder addAllColCard​(Iterable<? extends Long> values)

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

### clearColCard

public PlanProtocol.Operator.Builder clearColCard()

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

### getOutputCardinality

public long getOutputCardinality()

    The estimated number of rows produced by this operator

`uint64 outputCardinality = 7;`

Specified by:
  `getOutputCardinality` in interface `PlanProtocol.OperatorOrBuilder`

### setOutputCardinality

public PlanProtocol.Operator.Builder setOutputCardinality​(long value)

    The estimated number of rows produced by this operator

`uint64 outputCardinality = 7;`

### clearOutputCardinality

public PlanProtocol.Operator.Builder clearOutputCardinality()

    The estimated number of rows produced by this operator

`uint64 outputCardinality = 7;`

### getMemoryUsage

public long getMemoryUsage()

    The estimated number of bytes of memory needed by this operator (may be zero)

`uint64 memoryUsage = 8;`

Specified by:
  `getMemoryUsage` in interface `PlanProtocol.OperatorOrBuilder`

### setMemoryUsage

public PlanProtocol.Operator.Builder setMemoryUsage​(long value)

    The estimated number of bytes of memory needed by this operator (may be zero)

`uint64 memoryUsage = 8;`

### clearMemoryUsage

public PlanProtocol.Operator.Builder clearMemoryUsage()

    The estimated number of bytes of memory needed by this operator (may be zero)

`uint64 memoryUsage = 8;`

### getCost

public double getCost()

    The cost for this operator as determined by the optimizer

`double cost = 9;`

Specified by:
  `getCost` in interface `PlanProtocol.OperatorOrBuilder`

### setCost

public PlanProtocol.Operator.Builder setCost​(double value)

    The cost for this operator as determined by the optimizer

`double cost = 9;`

### clearCost

public PlanProtocol.Operator.Builder clearCost()

    The cost for this operator as determined by the optimizer

`double cost = 9;`

### getSortOrderList

public List<Integer> getSortOrderList()

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

Specified by:
  `getSortOrderList` in interface `PlanProtocol.OperatorOrBuilder`

### getSortOrderCount

public int getSortOrderCount()

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

Specified by:
  `getSortOrderCount` in interface `PlanProtocol.OperatorOrBuilder`

### getSortOrder

public int getSortOrder​(int index)

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

Specified by:
  `getSortOrder` in interface `PlanProtocol.OperatorOrBuilder`

### setSortOrder

public PlanProtocol.Operator.Builder setSortOrder​(int index, int value)

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

### addSortOrder

public PlanProtocol.Operator.Builder addSortOrder​(int value)

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

### addAllSortOrder

public PlanProtocol.Operator.Builder addAllSortOrder​(Iterable<? extends Integer> values)

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

### clearSortOrder

public PlanProtocol.Operator.Builder clearSortOrder()

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

### getSortDirectionsList

public List<Boolean> getSortDirectionsList()

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

Specified by:
  `getSortDirectionsList` in interface `PlanProtocol.OperatorOrBuilder`

### getSortDirectionsCount

public int getSortDirectionsCount()

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

Specified by:
  `getSortDirectionsCount` in interface `PlanProtocol.OperatorOrBuilder`

### getSortDirections

public boolean getSortDirections​(int index)

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

Specified by:
  `getSortDirections` in interface `PlanProtocol.OperatorOrBuilder`

### setSortDirections

public PlanProtocol.Operator.Builder setSortDirections​(int index, boolean value)

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

### addSortDirections

public PlanProtocol.Operator.Builder addSortDirections​(boolean value)

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

### addAllSortDirections

public PlanProtocol.Operator.Builder addAllSortDirections​(Iterable<? extends Boolean> values)

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

### clearSortDirections

public PlanProtocol.Operator.Builder clearSortDirections()

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

### getSortNullsFirstList

public List<Boolean> getSortNullsFirstList()

    If there is a sort order are nulls first? (or last)

`repeated bool sortNullsFirst = 29;`

Specified by:
  `getSortNullsFirstList` in interface `PlanProtocol.OperatorOrBuilder`

### getSortNullsFirstCount

public int getSortNullsFirstCount()

    If there is a sort order are nulls first? (or last)

`repeated bool sortNullsFirst = 29;`

Specified by:
  `getSortNullsFirstCount` in interface `PlanProtocol.OperatorOrBuilder`

### getSortNullsFirst

public boolean getSortNullsFirst​(int index)

    If there is a sort order are nulls first? (or last)

`repeated bool sortNullsFirst = 29;`

Specified by:
  `getSortNullsFirst` in interface `PlanProtocol.OperatorOrBuilder`

### setSortNullsFirst

public PlanProtocol.Operator.Builder setSortNullsFirst​(int index, boolean value)

    If there is a sort order are nulls first? (or last)

`repeated bool sortNullsFirst = 29;`

### addSortNullsFirst

public PlanProtocol.Operator.Builder addSortNullsFirst​(boolean value)

    If there is a sort order are nulls first? (or last)

`repeated bool sortNullsFirst = 29;`

### addAllSortNullsFirst

public PlanProtocol.Operator.Builder addAllSortNullsFirst​(Iterable<? extends Boolean> values)

    If there is a sort order are nulls first? (or last)

`repeated bool sortNullsFirst = 29;`

### clearSortNullsFirst

public PlanProtocol.Operator.Builder clearSortNullsFirst()

    If there is a sort order are nulls first? (or last)

`repeated bool sortNullsFirst = 29;`

### getPartitioningList

public List<PlanProtocol.EquivalentPartitioning> getPartitioningList()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

Specified by:
  `getPartitioningList` in interface `PlanProtocol.OperatorOrBuilder`

### getPartitioningCount

public int getPartitioningCount()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

Specified by:
  `getPartitioningCount` in interface `PlanProtocol.OperatorOrBuilder`

### getPartitioning

public PlanProtocol.EquivalentPartitioning getPartitioning​(int index)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

Specified by:
  `getPartitioning` in interface `PlanProtocol.OperatorOrBuilder`

### setPartitioning

public PlanProtocol.Operator.Builder setPartitioning​(int index, PlanProtocol.EquivalentPartitioning value)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### setPartitioning

public PlanProtocol.Operator.Builder setPartitioning​(int index, PlanProtocol.EquivalentPartitioning.Builder builderForValue)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### addPartitioning

public PlanProtocol.Operator.Builder addPartitioning​(PlanProtocol.EquivalentPartitioning value)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### addPartitioning

public PlanProtocol.Operator.Builder addPartitioning​(int index, PlanProtocol.EquivalentPartitioning value)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### addPartitioning

public PlanProtocol.Operator.Builder addPartitioning​(PlanProtocol.EquivalentPartitioning.Builder builderForValue)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### addPartitioning

public PlanProtocol.Operator.Builder addPartitioning​(int index, PlanProtocol.EquivalentPartitioning.Builder builderForValue)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### addAllPartitioning

public PlanProtocol.Operator.Builder addAllPartitioning​(Iterable<? extends PlanProtocol.EquivalentPartitioning> values)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### clearPartitioning

public PlanProtocol.Operator.Builder clearPartitioning()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### removePartitioning

public PlanProtocol.Operator.Builder removePartitioning​(int index)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### getPartitioningBuilder

public PlanProtocol.EquivalentPartitioning.Builder getPartitioningBuilder​(int index)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### getPartitioningOrBuilder

public PlanProtocol.EquivalentPartitioningOrBuilder getPartitioningOrBuilder​(int index)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

Specified by:
  `getPartitioningOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### getPartitioningOrBuilderList

public List<? extends PlanProtocol.EquivalentPartitioningOrBuilder> getPartitioningOrBuilderList()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

Specified by:
  `getPartitioningOrBuilderList` in interface `PlanProtocol.OperatorOrBuilder`

### addPartitioningBuilder

public PlanProtocol.EquivalentPartitioning.Builder addPartitioningBuilder()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### addPartitioningBuilder

public PlanProtocol.EquivalentPartitioning.Builder addPartitioningBuilder​(int index)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### getPartitioningBuilderList

public List<PlanProtocol.EquivalentPartitioning.Builder> getPartitioningBuilderList()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### getOutputIsNullableList

public List<Boolean> getOutputIsNullableList()

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

Specified by:
  `getOutputIsNullableList` in interface `PlanProtocol.OperatorOrBuilder`

### getOutputIsNullableCount

public int getOutputIsNullableCount()

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

Specified by:
  `getOutputIsNullableCount` in interface `PlanProtocol.OperatorOrBuilder`

### getOutputIsNullable

public boolean getOutputIsNullable​(int index)

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

Specified by:
  `getOutputIsNullable` in interface `PlanProtocol.OperatorOrBuilder`

### setOutputIsNullable

public PlanProtocol.Operator.Builder setOutputIsNullable​(int index, boolean value)

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

### addOutputIsNullable

public PlanProtocol.Operator.Builder addOutputIsNullable​(boolean value)

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

### addAllOutputIsNullable

public PlanProtocol.Operator.Builder addAllOutputIsNullable​(Iterable<? extends Boolean> values)

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

### clearOutputIsNullable

public PlanProtocol.Operator.Builder clearOutputIsNullable()

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

### getNumParents

public int getNumParents()
`uint32 numParents = 14;`

Specified by:
  `getNumParents` in interface `PlanProtocol.OperatorOrBuilder`

### setNumParents

public PlanProtocol.Operator.Builder setNumParents​(int value)
`uint32 numParents = 14;`

### clearNumParents

public PlanProtocol.Operator.Builder clearNumParents()
`uint32 numParents = 14;`

### getColSizesList

public List<Integer> getColSizesList()

    the average size of each output column

`repeated uint32 colSizes = 15;`

Specified by:
  `getColSizesList` in interface `PlanProtocol.OperatorOrBuilder`

### getColSizesCount

public int getColSizesCount()

    the average size of each output column

`repeated uint32 colSizes = 15;`

Specified by:
  `getColSizesCount` in interface `PlanProtocol.OperatorOrBuilder`

### getColSizes

public int getColSizes​(int index)

    the average size of each output column

`repeated uint32 colSizes = 15;`

Specified by:
  `getColSizes` in interface `PlanProtocol.OperatorOrBuilder`

### setColSizes

public PlanProtocol.Operator.Builder setColSizes​(int index, int value)

    the average size of each output column

`repeated uint32 colSizes = 15;`

### addColSizes

public PlanProtocol.Operator.Builder addColSizes​(int value)

    the average size of each output column

`repeated uint32 colSizes = 15;`

### addAllColSizes

public PlanProtocol.Operator.Builder addAllColSizes​(Iterable<? extends Integer> values)

    the average size of each output column

`repeated uint32 colSizes = 15;`

### clearColSizes

public PlanProtocol.Operator.Builder clearColSizes()

    the average size of each output column

`repeated uint32 colSizes = 15;`

### getErrorTypeValue

public int getErrorTypeValue()
`.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`

Specified by:
  `getErrorTypeValue` in interface `PlanProtocol.OperatorOrBuilder`

### setErrorTypeValue

public PlanProtocol.Operator.Builder setErrorTypeValue​(int value)
`.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`

### getErrorType

public PlanProtocol.Operator.ErrorType getErrorType()
`.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`

Specified by:
  `getErrorType` in interface `PlanProtocol.OperatorOrBuilder`

### setErrorType

public PlanProtocol.Operator.Builder setErrorType​(PlanProtocol.Operator.ErrorType value)
`.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`

### clearErrorType

public PlanProtocol.Operator.Builder clearErrorType()
`.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`

### getErrorPartitionList

public List<Integer> getErrorPartitionList()

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

Specified by:
  `getErrorPartitionList` in interface `PlanProtocol.OperatorOrBuilder`

### getErrorPartitionCount

public int getErrorPartitionCount()

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

Specified by:
  `getErrorPartitionCount` in interface `PlanProtocol.OperatorOrBuilder`

### getErrorPartition

public int getErrorPartition​(int index)

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

Specified by:
  `getErrorPartition` in interface `PlanProtocol.OperatorOrBuilder`

### setErrorPartition

public PlanProtocol.Operator.Builder setErrorPartition​(int index, int value)

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

### addErrorPartition

public PlanProtocol.Operator.Builder addErrorPartition​(int value)

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

### addAllErrorPartition

public PlanProtocol.Operator.Builder addAllErrorPartition​(Iterable<? extends Integer> values)

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

### clearErrorPartition

public PlanProtocol.Operator.Builder clearErrorPartition()

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

### getErrorTktLevelList

public List<Integer> getErrorTktLevelList()

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

Specified by:
  `getErrorTktLevelList` in interface `PlanProtocol.OperatorOrBuilder`

### getErrorTktLevelCount

public int getErrorTktLevelCount()

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

Specified by:
  `getErrorTktLevelCount` in interface `PlanProtocol.OperatorOrBuilder`

### getErrorTktLevel

public int getErrorTktLevel​(int index)

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

Specified by:
  `getErrorTktLevel` in interface `PlanProtocol.OperatorOrBuilder`

### setErrorTktLevel

public PlanProtocol.Operator.Builder setErrorTktLevel​(int index, int value)

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

### addErrorTktLevel

public PlanProtocol.Operator.Builder addErrorTktLevel​(int value)

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

### addAllErrorTktLevel

public PlanProtocol.Operator.Builder addAllErrorTktLevel​(Iterable<? extends Integer> values)

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

### clearErrorTktLevel

public PlanProtocol.Operator.Builder clearErrorTktLevel()

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

### getExternal

public boolean getExternal()

    If true, the operator should run externally

`bool external = 19;`

Specified by:
  `getExternal` in interface `PlanProtocol.OperatorOrBuilder`

### setExternal

public PlanProtocol.Operator.Builder setExternal​(boolean value)

    If true, the operator should run externally

`bool external = 19;`

### clearExternal

public PlanProtocol.Operator.Builder clearExternal()

    If true, the operator should run externally

`bool external = 19;`

### getNumDistinctParents

public int getNumDistinctParents()
`uint32 numDistinctParents = 20;`

Specified by:
  `getNumDistinctParents` in interface `PlanProtocol.OperatorOrBuilder`

### setNumDistinctParents

public PlanProtocol.Operator.Builder setNumDistinctParents​(int value)
`uint32 numDistinctParents = 20;`

### clearNumDistinctParents

public PlanProtocol.Operator.Builder clearNumDistinctParents()
`uint32 numDistinctParents = 20;`

### getDistanceFromLeaf

public long getDistanceFromLeaf()
`uint64 distance_from_leaf = 21;`

Specified by:
  `getDistanceFromLeaf` in interface `PlanProtocol.OperatorOrBuilder`

### setDistanceFromLeaf

public PlanProtocol.Operator.Builder setDistanceFromLeaf​(long value)
`uint64 distance_from_leaf = 21;`

### clearDistanceFromLeaf

public PlanProtocol.Operator.Builder clearDistanceFromLeaf()
`uint64 distance_from_leaf = 21;`

### getChildIndex

public int getChildIndex()

     these are calculated by level-1(sql-node) vm compilation process

`uint32 child_index = 22;`

Specified by:
  `getChildIndex` in interface `PlanProtocol.OperatorOrBuilder`

### setChildIndex

public PlanProtocol.Operator.Builder setChildIndex​(int value)

     these are calculated by level-1(sql-node) vm compilation process

`uint32 child_index = 22;`

### clearChildIndex

public PlanProtocol.Operator.Builder clearChildIndex()

     these are calculated by level-1(sql-node) vm compilation process

`uint32 child_index = 22;`

### getBranchIndex

public int getBranchIndex()
`uint32 branch_index = 23;`

Specified by:
  `getBranchIndex` in interface `PlanProtocol.OperatorOrBuilder`

### setBranchIndex

public PlanProtocol.Operator.Builder setBranchIndex​(int value)
`uint32 branch_index = 23;`

### clearBranchIndex

public PlanProtocol.Operator.Builder clearBranchIndex()
`uint32 branch_index = 23;`

### getPartitionIndex

public int getPartitionIndex()
`uint32 partition_index = 24;`

Specified by:
  `getPartitionIndex` in interface `PlanProtocol.OperatorOrBuilder`

### setPartitionIndex

public PlanProtocol.Operator.Builder setPartitionIndex​(int value)
`uint32 partition_index = 24;`

### clearPartitionIndex

public PlanProtocol.Operator.Builder clearPartitionIndex()
`uint32 partition_index = 24;`

### getPartitionCountsList

public List<Integer> getPartitionCountsList()
`repeated uint32 partition_counts = 25;`

Specified by:
  `getPartitionCountsList` in interface `PlanProtocol.OperatorOrBuilder`

### getPartitionCountsCount

public int getPartitionCountsCount()
`repeated uint32 partition_counts = 25;`

Specified by:
  `getPartitionCountsCount` in interface `PlanProtocol.OperatorOrBuilder`

### getPartitionCounts

public int getPartitionCounts​(int index)
`repeated uint32 partition_counts = 25;`

Specified by:
  `getPartitionCounts` in interface `PlanProtocol.OperatorOrBuilder`

### setPartitionCounts

public PlanProtocol.Operator.Builder setPartitionCounts​(int index, int value)
`repeated uint32 partition_counts = 25;`

### addPartitionCounts

public PlanProtocol.Operator.Builder addPartitionCounts​(int value)
`repeated uint32 partition_counts = 25;`

### addAllPartitionCounts

public PlanProtocol.Operator.Builder addAllPartitionCounts​(Iterable<? extends Integer> values)
`repeated uint32 partition_counts = 25;`

### clearPartitionCounts

public PlanProtocol.Operator.Builder clearPartitionCounts()
`repeated uint32 partition_counts = 25;`

### getStorageSpaceUuidsList

public com.google.protobuf.ProtocolStringList getStorageSpaceUuidsList()
`repeated string storage_space_uuids = 26;`

Specified by:
  `getStorageSpaceUuidsList` in interface `PlanProtocol.OperatorOrBuilder`

### getStorageSpaceUuidsCount

public int getStorageSpaceUuidsCount()
`repeated string storage_space_uuids = 26;`

Specified by:
  `getStorageSpaceUuidsCount` in interface `PlanProtocol.OperatorOrBuilder`

### getStorageSpaceUuids

public String getStorageSpaceUuids​(int index)
`repeated string storage_space_uuids = 26;`

Specified by:
  `getStorageSpaceUuids` in interface `PlanProtocol.OperatorOrBuilder`

### getStorageSpaceUuidsBytes

public com.google.protobuf.ByteString getStorageSpaceUuidsBytes​(int index)
`repeated string storage_space_uuids = 26;`

Specified by:
  `getStorageSpaceUuidsBytes` in interface `PlanProtocol.OperatorOrBuilder`

### setStorageSpaceUuids

public PlanProtocol.Operator.Builder setStorageSpaceUuids​(int index, String value)
`repeated string storage_space_uuids = 26;`

### addStorageSpaceUuids

public PlanProtocol.Operator.Builder addStorageSpaceUuids​(String value)
`repeated string storage_space_uuids = 26;`

### addAllStorageSpaceUuids

public PlanProtocol.Operator.Builder addAllStorageSpaceUuids​(Iterable<String> values)
`repeated string storage_space_uuids = 26;`

### clearStorageSpaceUuids

public PlanProtocol.Operator.Builder clearStorageSpaceUuids()
`repeated string storage_space_uuids = 26;`

### addStorageSpaceUuidsBytes

public PlanProtocol.Operator.Builder addStorageSpaceUuidsBytes​(com.google.protobuf.ByteString value)
`repeated string storage_space_uuids = 26;`

### getUpstreamPartitionSensitive

public boolean getUpstreamPartitionSensitive()

     value 28 is used up above under outputTypeStrings
     value 29 is used above

`bool upstream_partition_sensitive = 27;`

Specified by:
  `getUpstreamPartitionSensitive` in interface `PlanProtocol.OperatorOrBuilder`

### setUpstreamPartitionSensitive

public PlanProtocol.Operator.Builder setUpstreamPartitionSensitive​(boolean value)

     value 28 is used up above under outputTypeStrings
     value 29 is used above

`bool upstream_partition_sensitive = 27;`

### clearUpstreamPartitionSensitive

public PlanProtocol.Operator.Builder clearUpstreamPartitionSensitive()

     value 28 is used up above under outputTypeStrings
     value 29 is used above

`bool upstream_partition_sensitive = 27;`

### hasAggregationOperator

public boolean hasAggregationOperator()
`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

Specified by:
  `hasAggregationOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getAggregationOperator

public PlanProtocol.AggregationOperator getAggregationOperator()
`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

Specified by:
  `getAggregationOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setAggregationOperator

public PlanProtocol.Operator.Builder setAggregationOperator​(PlanProtocol.AggregationOperator value)
`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

### setAggregationOperator

public PlanProtocol.Operator.Builder setAggregationOperator​(PlanProtocol.AggregationOperator.Builder builderForValue)
`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

### mergeAggregationOperator

public PlanProtocol.Operator.Builder mergeAggregationOperator​(PlanProtocol.AggregationOperator value)
`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

### clearAggregationOperator

public PlanProtocol.Operator.Builder clearAggregationOperator()
`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

### getAggregationOperatorBuilder

public PlanProtocol.AggregationOperator.Builder getAggregationOperatorBuilder()
`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

### getAggregationOperatorOrBuilder

public PlanProtocol.AggregationOperatorOrBuilder getAggregationOperatorOrBuilder()
`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

Specified by:
  `getAggregationOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasExtendOperator

public boolean hasExtendOperator()
`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

Specified by:
  `hasExtendOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getExtendOperator

public PlanProtocol.ExtendOperator getExtendOperator()
`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

Specified by:
  `getExtendOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setExtendOperator

public PlanProtocol.Operator.Builder setExtendOperator​(PlanProtocol.ExtendOperator value)
`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

### setExtendOperator

public PlanProtocol.Operator.Builder setExtendOperator​(PlanProtocol.ExtendOperator.Builder builderForValue)
`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

### mergeExtendOperator

public PlanProtocol.Operator.Builder mergeExtendOperator​(PlanProtocol.ExtendOperator value)
`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

### clearExtendOperator

public PlanProtocol.Operator.Builder clearExtendOperator()
`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

### getExtendOperatorBuilder

public PlanProtocol.ExtendOperator.Builder getExtendOperatorBuilder()
`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

### getExtendOperatorOrBuilder

public PlanProtocol.ExtendOperatorOrBuilder getExtendOperatorOrBuilder()
`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

Specified by:
  `getExtendOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasGatherOperator

public boolean hasGatherOperator()
`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

Specified by:
  `hasGatherOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getGatherOperator

public PlanProtocol.GatherOperator getGatherOperator()
`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

Specified by:
  `getGatherOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setGatherOperator

public PlanProtocol.Operator.Builder setGatherOperator​(PlanProtocol.GatherOperator value)
`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

### setGatherOperator

public PlanProtocol.Operator.Builder setGatherOperator​(PlanProtocol.GatherOperator.Builder builderForValue)
`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

### mergeGatherOperator

public PlanProtocol.Operator.Builder mergeGatherOperator​(PlanProtocol.GatherOperator value)
`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

### clearGatherOperator

public PlanProtocol.Operator.Builder clearGatherOperator()
`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

### getGatherOperatorBuilder

public PlanProtocol.GatherOperator.Builder getGatherOperatorBuilder()
`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

### getGatherOperatorOrBuilder

public PlanProtocol.GatherOperatorOrBuilder getGatherOperatorOrBuilder()
`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

Specified by:
  `getGatherOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasIndexOperator

public boolean hasIndexOperator()
`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

Specified by:
  `hasIndexOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getIndexOperator

public PlanProtocol.IndexOperator getIndexOperator()
`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

Specified by:
  `getIndexOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setIndexOperator

public PlanProtocol.Operator.Builder setIndexOperator​(PlanProtocol.IndexOperator value)
`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

### setIndexOperator

public PlanProtocol.Operator.Builder setIndexOperator​(PlanProtocol.IndexOperator.Builder builderForValue)
`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

### mergeIndexOperator

public PlanProtocol.Operator.Builder mergeIndexOperator​(PlanProtocol.IndexOperator value)
`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

### clearIndexOperator

public PlanProtocol.Operator.Builder clearIndexOperator()
`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

### getIndexOperatorBuilder

public PlanProtocol.IndexOperator.Builder getIndexOperatorBuilder()
`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

### getIndexOperatorOrBuilder

public PlanProtocol.IndexOperatorOrBuilder getIndexOperatorOrBuilder()
`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

Specified by:
  `getIndexOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasLimitOperator

public boolean hasLimitOperator()
`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

Specified by:
  `hasLimitOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getLimitOperator

public PlanProtocol.LimitOperator getLimitOperator()
`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

Specified by:
  `getLimitOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setLimitOperator

public PlanProtocol.Operator.Builder setLimitOperator​(PlanProtocol.LimitOperator value)
`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

### setLimitOperator

public PlanProtocol.Operator.Builder setLimitOperator​(PlanProtocol.LimitOperator.Builder builderForValue)
`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

### mergeLimitOperator

public PlanProtocol.Operator.Builder mergeLimitOperator​(PlanProtocol.LimitOperator value)
`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

### clearLimitOperator

public PlanProtocol.Operator.Builder clearLimitOperator()
`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

### getLimitOperatorBuilder

public PlanProtocol.LimitOperator.Builder getLimitOperatorBuilder()
`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

### getLimitOperatorOrBuilder

public PlanProtocol.LimitOperatorOrBuilder getLimitOperatorOrBuilder()
`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

Specified by:
  `getLimitOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasOffsetOperator

public boolean hasOffsetOperator()
`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

Specified by:
  `hasOffsetOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getOffsetOperator

public PlanProtocol.OffsetOperator getOffsetOperator()
`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

Specified by:
  `getOffsetOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setOffsetOperator

public PlanProtocol.Operator.Builder setOffsetOperator​(PlanProtocol.OffsetOperator value)
`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

### setOffsetOperator

public PlanProtocol.Operator.Builder setOffsetOperator​(PlanProtocol.OffsetOperator.Builder builderForValue)
`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

### mergeOffsetOperator

public PlanProtocol.Operator.Builder mergeOffsetOperator​(PlanProtocol.OffsetOperator value)
`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

### clearOffsetOperator

public PlanProtocol.Operator.Builder clearOffsetOperator()
`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

### getOffsetOperatorBuilder

public PlanProtocol.OffsetOperator.Builder getOffsetOperatorBuilder()
`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

### getOffsetOperatorOrBuilder

public PlanProtocol.OffsetOperatorOrBuilder getOffsetOperatorOrBuilder()
`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

Specified by:
  `getOffsetOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasOrderedGatherOperator

public boolean hasOrderedGatherOperator()
`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

Specified by:
  `hasOrderedGatherOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getOrderedGatherOperator

public PlanProtocol.OrderedGatherOperator getOrderedGatherOperator()
`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

Specified by:
  `getOrderedGatherOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setOrderedGatherOperator

public PlanProtocol.Operator.Builder setOrderedGatherOperator​(PlanProtocol.OrderedGatherOperator value)
`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

### setOrderedGatherOperator

public PlanProtocol.Operator.Builder setOrderedGatherOperator​(PlanProtocol.OrderedGatherOperator.Builder builderForValue)
`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

### mergeOrderedGatherOperator

public PlanProtocol.Operator.Builder mergeOrderedGatherOperator​(PlanProtocol.OrderedGatherOperator value)
`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

### clearOrderedGatherOperator

public PlanProtocol.Operator.Builder clearOrderedGatherOperator()
`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

### getOrderedGatherOperatorBuilder

public PlanProtocol.OrderedGatherOperator.Builder getOrderedGatherOperatorBuilder()
`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

### getOrderedGatherOperatorOrBuilder

public PlanProtocol.OrderedGatherOperatorOrBuilder getOrderedGatherOperatorOrBuilder()
`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

Specified by:
  `getOrderedGatherOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasProjectOutOperator

public boolean hasProjectOutOperator()
`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

Specified by:
  `hasProjectOutOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getProjectOutOperator

public PlanProtocol.ProjectOutOperator getProjectOutOperator()
`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

Specified by:
  `getProjectOutOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setProjectOutOperator

public PlanProtocol.Operator.Builder setProjectOutOperator​(PlanProtocol.ProjectOutOperator value)
`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

### setProjectOutOperator

public PlanProtocol.Operator.Builder setProjectOutOperator​(PlanProtocol.ProjectOutOperator.Builder builderForValue)
`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

### mergeProjectOutOperator

public PlanProtocol.Operator.Builder mergeProjectOutOperator​(PlanProtocol.ProjectOutOperator value)
`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

### clearProjectOutOperator

public PlanProtocol.Operator.Builder clearProjectOutOperator()
`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

### getProjectOutOperatorBuilder

public PlanProtocol.ProjectOutOperator.Builder getProjectOutOperatorBuilder()
`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

### getProjectOutOperatorOrBuilder

public PlanProtocol.ProjectOutOperatorOrBuilder getProjectOutOperatorOrBuilder()
`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

Specified by:
  `getProjectOutOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasRenameOperator

public boolean hasRenameOperator()
`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

Specified by:
  `hasRenameOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getRenameOperator

public PlanProtocol.RenameOperator getRenameOperator()
`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

Specified by:
  `getRenameOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setRenameOperator

public PlanProtocol.Operator.Builder setRenameOperator​(PlanProtocol.RenameOperator value)
`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

### setRenameOperator

public PlanProtocol.Operator.Builder setRenameOperator​(PlanProtocol.RenameOperator.Builder builderForValue)
`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

### mergeRenameOperator

public PlanProtocol.Operator.Builder mergeRenameOperator​(PlanProtocol.RenameOperator value)
`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

### clearRenameOperator

public PlanProtocol.Operator.Builder clearRenameOperator()
`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

### getRenameOperatorBuilder

public PlanProtocol.RenameOperator.Builder getRenameOperatorBuilder()
`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

### getRenameOperatorOrBuilder

public PlanProtocol.RenameOperatorOrBuilder getRenameOperatorOrBuilder()
`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

Specified by:
  `getRenameOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasReorderOperator

public boolean hasReorderOperator()
`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

Specified by:
  `hasReorderOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getReorderOperator

public PlanProtocol.ReorderOperator getReorderOperator()
`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

Specified by:
  `getReorderOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setReorderOperator

public PlanProtocol.Operator.Builder setReorderOperator​(PlanProtocol.ReorderOperator value)
`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

### setReorderOperator

public PlanProtocol.Operator.Builder setReorderOperator​(PlanProtocol.ReorderOperator.Builder builderForValue)
`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

### mergeReorderOperator

public PlanProtocol.Operator.Builder mergeReorderOperator​(PlanProtocol.ReorderOperator value)
`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

### clearReorderOperator

public PlanProtocol.Operator.Builder clearReorderOperator()
`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

### getReorderOperatorBuilder

public PlanProtocol.ReorderOperator.Builder getReorderOperatorBuilder()
`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

### getReorderOperatorOrBuilder

public PlanProtocol.ReorderOperatorOrBuilder getReorderOperatorOrBuilder()
`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

Specified by:
  `getReorderOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasSelectOperator

public boolean hasSelectOperator()
`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

Specified by:
  `hasSelectOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getSelectOperator

public PlanProtocol.SelectOperator getSelectOperator()
`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

Specified by:
  `getSelectOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setSelectOperator

public PlanProtocol.Operator.Builder setSelectOperator​(PlanProtocol.SelectOperator value)
`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

### setSelectOperator

public PlanProtocol.Operator.Builder setSelectOperator​(PlanProtocol.SelectOperator.Builder builderForValue)
`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

### mergeSelectOperator

public PlanProtocol.Operator.Builder mergeSelectOperator​(PlanProtocol.SelectOperator value)
`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

### clearSelectOperator

public PlanProtocol.Operator.Builder clearSelectOperator()
`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

### getSelectOperatorBuilder

public PlanProtocol.SelectOperator.Builder getSelectOperatorBuilder()
`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

### getSelectOperatorOrBuilder

public PlanProtocol.SelectOperatorOrBuilder getSelectOperatorOrBuilder()
`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

Specified by:
  `getSelectOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasSortOperator

public boolean hasSortOperator()
`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

Specified by:
  `hasSortOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getSortOperator

public PlanProtocol.SortOperator getSortOperator()
`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

Specified by:
  `getSortOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setSortOperator

public PlanProtocol.Operator.Builder setSortOperator​(PlanProtocol.SortOperator value)
`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

### setSortOperator

public PlanProtocol.Operator.Builder setSortOperator​(PlanProtocol.SortOperator.Builder builderForValue)
`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

### mergeSortOperator

public PlanProtocol.Operator.Builder mergeSortOperator​(PlanProtocol.SortOperator value)
`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

### clearSortOperator

public PlanProtocol.Operator.Builder clearSortOperator()
`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

### getSortOperatorBuilder

public PlanProtocol.SortOperator.Builder getSortOperatorBuilder()
`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

### getSortOperatorOrBuilder

public PlanProtocol.SortOperatorOrBuilder getSortOperatorOrBuilder()
`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

Specified by:
  `getSortOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasRootOperator

public boolean hasRootOperator()
`.xg.db.sqlPlans.RootOperator root_operator = 44;`

Specified by:
  `hasRootOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getRootOperator

public PlanProtocol.RootOperator getRootOperator()
`.xg.db.sqlPlans.RootOperator root_operator = 44;`

Specified by:
  `getRootOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setRootOperator

public PlanProtocol.Operator.Builder setRootOperator​(PlanProtocol.RootOperator value)
`.xg.db.sqlPlans.RootOperator root_operator = 44;`

### setRootOperator

public PlanProtocol.Operator.Builder setRootOperator​(PlanProtocol.RootOperator.Builder builderForValue)
`.xg.db.sqlPlans.RootOperator root_operator = 44;`

### mergeRootOperator

public PlanProtocol.Operator.Builder mergeRootOperator​(PlanProtocol.RootOperator value)
`.xg.db.sqlPlans.RootOperator root_operator = 44;`

### clearRootOperator

public PlanProtocol.Operator.Builder clearRootOperator()
`.xg.db.sqlPlans.RootOperator root_operator = 44;`

### getRootOperatorBuilder

public PlanProtocol.RootOperator.Builder getRootOperatorBuilder()
`.xg.db.sqlPlans.RootOperator root_operator = 44;`

### getRootOperatorOrBuilder

public PlanProtocol.RootOperatorOrBuilder getRootOperatorOrBuilder()
`.xg.db.sqlPlans.RootOperator root_operator = 44;`

Specified by:
  `getRootOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasMakeVectorOperator

public boolean hasMakeVectorOperator()
`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

Specified by:
  `hasMakeVectorOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getMakeVectorOperator

public PlanProtocol.MakeVectorOperator getMakeVectorOperator()
`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

Specified by:
  `getMakeVectorOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setMakeVectorOperator

public PlanProtocol.Operator.Builder setMakeVectorOperator​(PlanProtocol.MakeVectorOperator value)
`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

### setMakeVectorOperator

public PlanProtocol.Operator.Builder setMakeVectorOperator​(PlanProtocol.MakeVectorOperator.Builder builderForValue)
`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

### mergeMakeVectorOperator

public PlanProtocol.Operator.Builder mergeMakeVectorOperator​(PlanProtocol.MakeVectorOperator value)
`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

### clearMakeVectorOperator

public PlanProtocol.Operator.Builder clearMakeVectorOperator()
`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

### getMakeVectorOperatorBuilder

public PlanProtocol.MakeVectorOperator.Builder getMakeVectorOperatorBuilder()
`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

### getMakeVectorOperatorOrBuilder

public PlanProtocol.MakeVectorOperatorOrBuilder getMakeVectorOperatorOrBuilder()
`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

Specified by:
  `getMakeVectorOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasUnmakeVectorOperator

public boolean hasUnmakeVectorOperator()
`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

Specified by:
  `hasUnmakeVectorOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getUnmakeVectorOperator

public PlanProtocol.UnmakeVectorOperator getUnmakeVectorOperator()
`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

Specified by:
  `getUnmakeVectorOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setUnmakeVectorOperator

public PlanProtocol.Operator.Builder setUnmakeVectorOperator​(PlanProtocol.UnmakeVectorOperator value)
`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

### setUnmakeVectorOperator

public PlanProtocol.Operator.Builder setUnmakeVectorOperator​(PlanProtocol.UnmakeVectorOperator.Builder builderForValue)
`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

### mergeUnmakeVectorOperator

public PlanProtocol.Operator.Builder mergeUnmakeVectorOperator​(PlanProtocol.UnmakeVectorOperator value)
`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

### clearUnmakeVectorOperator

public PlanProtocol.Operator.Builder clearUnmakeVectorOperator()
`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

### getUnmakeVectorOperatorBuilder

public PlanProtocol.UnmakeVectorOperator.Builder getUnmakeVectorOperatorBuilder()
`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

### getUnmakeVectorOperatorOrBuilder

public PlanProtocol.UnmakeVectorOperatorOrBuilder getUnmakeVectorOperatorOrBuilder()
`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

Specified by:
  `getUnmakeVectorOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasMatrixExtendOperator

public boolean hasMatrixExtendOperator()
`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

Specified by:
  `hasMatrixExtendOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getMatrixExtendOperator

public PlanProtocol.MatrixExtendOperator getMatrixExtendOperator()
`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

Specified by:
  `getMatrixExtendOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setMatrixExtendOperator

public PlanProtocol.Operator.Builder setMatrixExtendOperator​(PlanProtocol.MatrixExtendOperator value)
`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

### setMatrixExtendOperator

public PlanProtocol.Operator.Builder setMatrixExtendOperator​(PlanProtocol.MatrixExtendOperator.Builder builderForValue)
`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

### mergeMatrixExtendOperator

public PlanProtocol.Operator.Builder mergeMatrixExtendOperator​(PlanProtocol.MatrixExtendOperator value)
`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

### clearMatrixExtendOperator

public PlanProtocol.Operator.Builder clearMatrixExtendOperator()
`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

### getMatrixExtendOperatorBuilder

public PlanProtocol.MatrixExtendOperator.Builder getMatrixExtendOperatorBuilder()
`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

### getMatrixExtendOperatorOrBuilder

public PlanProtocol.MatrixExtendOperatorOrBuilder getMatrixExtendOperatorOrBuilder()
`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

Specified by:
  `getMatrixExtendOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasTableScanOperator

public boolean hasTableScanOperator()
`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

Specified by:
  `hasTableScanOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getTableScanOperator

public PlanProtocol.TableScanOperator getTableScanOperator()
`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

Specified by:
  `getTableScanOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setTableScanOperator

public PlanProtocol.Operator.Builder setTableScanOperator​(PlanProtocol.TableScanOperator value)
`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

### setTableScanOperator

public PlanProtocol.Operator.Builder setTableScanOperator​(PlanProtocol.TableScanOperator.Builder builderForValue)
`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

### mergeTableScanOperator

public PlanProtocol.Operator.Builder mergeTableScanOperator​(PlanProtocol.TableScanOperator value)
`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

### clearTableScanOperator

public PlanProtocol.Operator.Builder clearTableScanOperator()
`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

### getTableScanOperatorBuilder

public PlanProtocol.TableScanOperator.Builder getTableScanOperatorBuilder()
`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

### getTableScanOperatorOrBuilder

public PlanProtocol.TableScanOperatorOrBuilder getTableScanOperatorOrBuilder()
`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

Specified by:
  `getTableScanOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasIncrementingIntOperator

public boolean hasIncrementingIntOperator()
`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

Specified by:
  `hasIncrementingIntOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getIncrementingIntOperator

public PlanProtocol.IncrementingIntOperator getIncrementingIntOperator()
`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

Specified by:
  `getIncrementingIntOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setIncrementingIntOperator

public PlanProtocol.Operator.Builder setIncrementingIntOperator​(PlanProtocol.IncrementingIntOperator value)
`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

### setIncrementingIntOperator

public PlanProtocol.Operator.Builder setIncrementingIntOperator​(PlanProtocol.IncrementingIntOperator.Builder builderForValue)
`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

### mergeIncrementingIntOperator

public PlanProtocol.Operator.Builder mergeIncrementingIntOperator​(PlanProtocol.IncrementingIntOperator value)
`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

### clearIncrementingIntOperator

public PlanProtocol.Operator.Builder clearIncrementingIntOperator()
`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

### getIncrementingIntOperatorBuilder

public PlanProtocol.IncrementingIntOperator.Builder getIncrementingIntOperatorBuilder()
`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

### getIncrementingIntOperatorOrBuilder

public PlanProtocol.IncrementingIntOperatorOrBuilder getIncrementingIntOperatorOrBuilder()
`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

Specified by:
  `getIncrementingIntOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasGenerateOperator

public boolean hasGenerateOperator()
`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

Specified by:
  `hasGenerateOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getGenerateOperator

public PlanProtocol.GenerateOperator getGenerateOperator()
`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

Specified by:
  `getGenerateOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setGenerateOperator

public PlanProtocol.Operator.Builder setGenerateOperator​(PlanProtocol.GenerateOperator value)
`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

### setGenerateOperator

public PlanProtocol.Operator.Builder setGenerateOperator​(PlanProtocol.GenerateOperator.Builder builderForValue)
`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

### mergeGenerateOperator

public PlanProtocol.Operator.Builder mergeGenerateOperator​(PlanProtocol.GenerateOperator value)
`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

### clearGenerateOperator

public PlanProtocol.Operator.Builder clearGenerateOperator()
`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

### getGenerateOperatorBuilder

public PlanProtocol.GenerateOperator.Builder getGenerateOperatorBuilder()
`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

### getGenerateOperatorOrBuilder

public PlanProtocol.GenerateOperatorOrBuilder getGenerateOperatorOrBuilder()
`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

Specified by:
  `getGenerateOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasSuperSelectOperator

public boolean hasSuperSelectOperator()
`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

Specified by:
  `hasSuperSelectOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getSuperSelectOperator

public PlanProtocol.SuperSelectOperator getSuperSelectOperator()
`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

Specified by:
  `getSuperSelectOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setSuperSelectOperator

public PlanProtocol.Operator.Builder setSuperSelectOperator​(PlanProtocol.SuperSelectOperator value)
`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

### setSuperSelectOperator

public PlanProtocol.Operator.Builder setSuperSelectOperator​(PlanProtocol.SuperSelectOperator.Builder builderForValue)
`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

### mergeSuperSelectOperator

public PlanProtocol.Operator.Builder mergeSuperSelectOperator​(PlanProtocol.SuperSelectOperator value)
`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

### clearSuperSelectOperator

public PlanProtocol.Operator.Builder clearSuperSelectOperator()
`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

### getSuperSelectOperatorBuilder

public PlanProtocol.SuperSelectOperator.Builder getSuperSelectOperatorBuilder()
`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

### getSuperSelectOperatorOrBuilder

public PlanProtocol.SuperSelectOperatorOrBuilder getSuperSelectOperatorOrBuilder()
`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

Specified by:
  `getSuperSelectOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasQueriesVirtualOperator

public boolean hasQueriesVirtualOperator()
`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

Specified by:
  `hasQueriesVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getQueriesVirtualOperator

public PlanProtocol.QueriesVirtualOperator getQueriesVirtualOperator()
`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

Specified by:
  `getQueriesVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setQueriesVirtualOperator

public PlanProtocol.Operator.Builder setQueriesVirtualOperator​(PlanProtocol.QueriesVirtualOperator value)
`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

### setQueriesVirtualOperator

public PlanProtocol.Operator.Builder setQueriesVirtualOperator​(PlanProtocol.QueriesVirtualOperator.Builder builderForValue)
`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

### mergeQueriesVirtualOperator

public PlanProtocol.Operator.Builder mergeQueriesVirtualOperator​(PlanProtocol.QueriesVirtualOperator value)
`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

### clearQueriesVirtualOperator

public PlanProtocol.Operator.Builder clearQueriesVirtualOperator()
`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

### getQueriesVirtualOperatorBuilder

public PlanProtocol.QueriesVirtualOperator.Builder getQueriesVirtualOperatorBuilder()
`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

### getQueriesVirtualOperatorOrBuilder

public PlanProtocol.QueriesVirtualOperatorOrBuilder getQueriesVirtualOperatorOrBuilder()
`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

Specified by:
  `getQueriesVirtualOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasRandomIntOperator

public boolean hasRandomIntOperator()
`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

Specified by:
  `hasRandomIntOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getRandomIntOperator

public PlanProtocol.RandomIntOperator getRandomIntOperator()
`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

Specified by:
  `getRandomIntOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setRandomIntOperator

public PlanProtocol.Operator.Builder setRandomIntOperator​(PlanProtocol.RandomIntOperator value)
`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

### setRandomIntOperator

public PlanProtocol.Operator.Builder setRandomIntOperator​(PlanProtocol.RandomIntOperator.Builder builderForValue)
`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

### mergeRandomIntOperator

public PlanProtocol.Operator.Builder mergeRandomIntOperator​(PlanProtocol.RandomIntOperator value)
`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

### clearRandomIntOperator

public PlanProtocol.Operator.Builder clearRandomIntOperator()
`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

### getRandomIntOperatorBuilder

public PlanProtocol.RandomIntOperator.Builder getRandomIntOperatorBuilder()
`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

### getRandomIntOperatorOrBuilder

public PlanProtocol.RandomIntOperatorOrBuilder getRandomIntOperatorOrBuilder()
`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

Specified by:
  `getRandomIntOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasColumnEmitterOperator

public boolean hasColumnEmitterOperator()
`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

Specified by:
  `hasColumnEmitterOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getColumnEmitterOperator

public PlanProtocol.ColumnEmitterOperator getColumnEmitterOperator()
`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

Specified by:
  `getColumnEmitterOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setColumnEmitterOperator

public PlanProtocol.Operator.Builder setColumnEmitterOperator​(PlanProtocol.ColumnEmitterOperator value)
`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

### setColumnEmitterOperator

public PlanProtocol.Operator.Builder setColumnEmitterOperator​(PlanProtocol.ColumnEmitterOperator.Builder builderForValue)
`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

### mergeColumnEmitterOperator

public PlanProtocol.Operator.Builder mergeColumnEmitterOperator​(PlanProtocol.ColumnEmitterOperator value)
`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

### clearColumnEmitterOperator

public PlanProtocol.Operator.Builder clearColumnEmitterOperator()
`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

### getColumnEmitterOperatorBuilder

public PlanProtocol.ColumnEmitterOperator.Builder getColumnEmitterOperatorBuilder()
`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

### getColumnEmitterOperatorOrBuilder

public PlanProtocol.ColumnEmitterOperatorOrBuilder getColumnEmitterOperatorOrBuilder()
`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

Specified by:
  `getColumnEmitterOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasUnionOperator

public boolean hasUnionOperator()
`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

Specified by:
  `hasUnionOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getUnionOperator

public PlanProtocol.UnionOperator getUnionOperator()
`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

Specified by:
  `getUnionOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setUnionOperator

public PlanProtocol.Operator.Builder setUnionOperator​(PlanProtocol.UnionOperator value)
`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

### setUnionOperator

public PlanProtocol.Operator.Builder setUnionOperator​(PlanProtocol.UnionOperator.Builder builderForValue)
`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

### mergeUnionOperator

public PlanProtocol.Operator.Builder mergeUnionOperator​(PlanProtocol.UnionOperator value)
`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

### clearUnionOperator

public PlanProtocol.Operator.Builder clearUnionOperator()
`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

### getUnionOperatorBuilder

public PlanProtocol.UnionOperator.Builder getUnionOperatorBuilder()
`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

### getUnionOperatorOrBuilder

public PlanProtocol.UnionOperatorOrBuilder getUnionOperatorOrBuilder()
`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

Specified by:
  `getUnionOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasIntersectOperator

public boolean hasIntersectOperator()
`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

Specified by:
  `hasIntersectOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getIntersectOperator

public PlanProtocol.IntersectOperator getIntersectOperator()
`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

Specified by:
  `getIntersectOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setIntersectOperator

public PlanProtocol.Operator.Builder setIntersectOperator​(PlanProtocol.IntersectOperator value)
`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

### setIntersectOperator

public PlanProtocol.Operator.Builder setIntersectOperator​(PlanProtocol.IntersectOperator.Builder builderForValue)
`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

### mergeIntersectOperator

public PlanProtocol.Operator.Builder mergeIntersectOperator​(PlanProtocol.IntersectOperator value)
`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

### clearIntersectOperator

public PlanProtocol.Operator.Builder clearIntersectOperator()
`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

### getIntersectOperatorBuilder

public PlanProtocol.IntersectOperator.Builder getIntersectOperatorBuilder()
`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

### getIntersectOperatorOrBuilder

public PlanProtocol.IntersectOperatorOrBuilder getIntersectOperatorOrBuilder()
`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

Specified by:
  `getIntersectOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasExceptOperator

public boolean hasExceptOperator()
`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

Specified by:
  `hasExceptOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getExceptOperator

public PlanProtocol.ExceptOperator getExceptOperator()
`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

Specified by:
  `getExceptOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setExceptOperator

public PlanProtocol.Operator.Builder setExceptOperator​(PlanProtocol.ExceptOperator value)
`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

### setExceptOperator

public PlanProtocol.Operator.Builder setExceptOperator​(PlanProtocol.ExceptOperator.Builder builderForValue)
`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

### mergeExceptOperator

public PlanProtocol.Operator.Builder mergeExceptOperator​(PlanProtocol.ExceptOperator value)
`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

### clearExceptOperator

public PlanProtocol.Operator.Builder clearExceptOperator()
`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

### getExceptOperatorBuilder

public PlanProtocol.ExceptOperator.Builder getExceptOperatorBuilder()
`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

### getExceptOperatorOrBuilder

public PlanProtocol.ExceptOperatorOrBuilder getExceptOperatorOrBuilder()
`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

Specified by:
  `getExceptOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasSwitchOperator

public boolean hasSwitchOperator()
`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

Specified by:
  `hasSwitchOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getSwitchOperator

public PlanProtocol.SwitchOperator getSwitchOperator()
`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

Specified by:
  `getSwitchOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setSwitchOperator

public PlanProtocol.Operator.Builder setSwitchOperator​(PlanProtocol.SwitchOperator value)
`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

### setSwitchOperator

public PlanProtocol.Operator.Builder setSwitchOperator​(PlanProtocol.SwitchOperator.Builder builderForValue)
`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

### mergeSwitchOperator

public PlanProtocol.Operator.Builder mergeSwitchOperator​(PlanProtocol.SwitchOperator value)
`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

### clearSwitchOperator

public PlanProtocol.Operator.Builder clearSwitchOperator()
`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

### getSwitchOperatorBuilder

public PlanProtocol.SwitchOperator.Builder getSwitchOperatorBuilder()
`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

### getSwitchOperatorOrBuilder

public PlanProtocol.SwitchOperatorOrBuilder getSwitchOperatorOrBuilder()
`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

Specified by:
  `getSwitchOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasProductOperator

public boolean hasProductOperator()
`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

Specified by:
  `hasProductOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getProductOperator

public PlanProtocol.ProductOperator getProductOperator()
`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

Specified by:
  `getProductOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setProductOperator

public PlanProtocol.Operator.Builder setProductOperator​(PlanProtocol.ProductOperator value)
`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

### setProductOperator

public PlanProtocol.Operator.Builder setProductOperator​(PlanProtocol.ProductOperator.Builder builderForValue)
`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

### mergeProductOperator

public PlanProtocol.Operator.Builder mergeProductOperator​(PlanProtocol.ProductOperator value)
`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

### clearProductOperator

public PlanProtocol.Operator.Builder clearProductOperator()
`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

### getProductOperatorBuilder

public PlanProtocol.ProductOperator.Builder getProductOperatorBuilder()
`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

### getProductOperatorOrBuilder

public PlanProtocol.ProductOperatorOrBuilder getProductOperatorOrBuilder()
`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

Specified by:
  `getProductOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasHashJoinOperator

public boolean hasHashJoinOperator()
`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

Specified by:
  `hasHashJoinOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getHashJoinOperator

public PlanProtocol.HashJoinOperator getHashJoinOperator()
`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

Specified by:
  `getHashJoinOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setHashJoinOperator

public PlanProtocol.Operator.Builder setHashJoinOperator​(PlanProtocol.HashJoinOperator value)
`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

### setHashJoinOperator

public PlanProtocol.Operator.Builder setHashJoinOperator​(PlanProtocol.HashJoinOperator.Builder builderForValue)
`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

### mergeHashJoinOperator

public PlanProtocol.Operator.Builder mergeHashJoinOperator​(PlanProtocol.HashJoinOperator value)
`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

### clearHashJoinOperator

public PlanProtocol.Operator.Builder clearHashJoinOperator()
`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

### getHashJoinOperatorBuilder

public PlanProtocol.HashJoinOperator.Builder getHashJoinOperatorBuilder()
`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

### getHashJoinOperatorOrBuilder

public PlanProtocol.HashJoinOperatorOrBuilder getHashJoinOperatorOrBuilder()
`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

Specified by:
  `getHashJoinOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasEosOperator

public boolean hasEosOperator()
`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

Specified by:
  `hasEosOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getEosOperator

public PlanProtocol.EosOperator getEosOperator()
`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

Specified by:
  `getEosOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setEosOperator

public PlanProtocol.Operator.Builder setEosOperator​(PlanProtocol.EosOperator value)
`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

### setEosOperator

public PlanProtocol.Operator.Builder setEosOperator​(PlanProtocol.EosOperator.Builder builderForValue)
`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

### mergeEosOperator

public PlanProtocol.Operator.Builder mergeEosOperator​(PlanProtocol.EosOperator value)
`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

### clearEosOperator

public PlanProtocol.Operator.Builder clearEosOperator()
`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

### getEosOperatorBuilder

public PlanProtocol.EosOperator.Builder getEosOperatorBuilder()
`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

### getEosOperatorOrBuilder

public PlanProtocol.EosOperatorOrBuilder getEosOperatorOrBuilder()
`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

Specified by:
  `getEosOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasTeeOperator

public boolean hasTeeOperator()
`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

Specified by:
  `hasTeeOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getTeeOperator

public PlanProtocol.TeeOperator getTeeOperator()
`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

Specified by:
  `getTeeOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setTeeOperator

public PlanProtocol.Operator.Builder setTeeOperator​(PlanProtocol.TeeOperator value)
`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

### setTeeOperator

public PlanProtocol.Operator.Builder setTeeOperator​(PlanProtocol.TeeOperator.Builder builderForValue)
`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

### mergeTeeOperator

public PlanProtocol.Operator.Builder mergeTeeOperator​(PlanProtocol.TeeOperator value)
`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

### clearTeeOperator

public PlanProtocol.Operator.Builder clearTeeOperator()
`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

### getTeeOperatorBuilder

public PlanProtocol.TeeOperator.Builder getTeeOperatorBuilder()
`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

### getTeeOperatorOrBuilder

public PlanProtocol.TeeOperatorOrBuilder getTeeOperatorOrBuilder()
`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

Specified by:
  `getTeeOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasShuffleOperator

public boolean hasShuffleOperator()
`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

Specified by:
  `hasShuffleOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getShuffleOperator

public PlanProtocol.ShuffleOperator getShuffleOperator()
`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

Specified by:
  `getShuffleOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setShuffleOperator

public PlanProtocol.Operator.Builder setShuffleOperator​(PlanProtocol.ShuffleOperator value)
`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

### setShuffleOperator

public PlanProtocol.Operator.Builder setShuffleOperator​(PlanProtocol.ShuffleOperator.Builder builderForValue)
`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

### mergeShuffleOperator

public PlanProtocol.Operator.Builder mergeShuffleOperator​(PlanProtocol.ShuffleOperator value)
`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

### clearShuffleOperator

public PlanProtocol.Operator.Builder clearShuffleOperator()
`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

### getShuffleOperatorBuilder

public PlanProtocol.ShuffleOperator.Builder getShuffleOperatorBuilder()
`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

### getShuffleOperatorOrBuilder

public PlanProtocol.ShuffleOperatorOrBuilder getShuffleOperatorOrBuilder()
`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

Specified by:
  `getShuffleOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasBroadcastOperator

public boolean hasBroadcastOperator()
`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

Specified by:
  `hasBroadcastOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getBroadcastOperator

public PlanProtocol.BroadcastOperator getBroadcastOperator()
`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

Specified by:
  `getBroadcastOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setBroadcastOperator

public PlanProtocol.Operator.Builder setBroadcastOperator​(PlanProtocol.BroadcastOperator value)
`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

### setBroadcastOperator

public PlanProtocol.Operator.Builder setBroadcastOperator​(PlanProtocol.BroadcastOperator.Builder builderForValue)
`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

### mergeBroadcastOperator

public PlanProtocol.Operator.Builder mergeBroadcastOperator​(PlanProtocol.BroadcastOperator value)
`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

### clearBroadcastOperator

public PlanProtocol.Operator.Builder clearBroadcastOperator()
`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

### getBroadcastOperatorBuilder

public PlanProtocol.BroadcastOperator.Builder getBroadcastOperatorBuilder()
`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

### getBroadcastOperatorOrBuilder

public PlanProtocol.BroadcastOperatorOrBuilder getBroadcastOperatorOrBuilder()
`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

Specified by:
  `getBroadcastOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasWindowOperator

public boolean hasWindowOperator()
`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

Specified by:
  `hasWindowOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getWindowOperator

public PlanProtocol.WindowOperator getWindowOperator()
`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

Specified by:
  `getWindowOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setWindowOperator

public PlanProtocol.Operator.Builder setWindowOperator​(PlanProtocol.WindowOperator value)
`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

### setWindowOperator

public PlanProtocol.Operator.Builder setWindowOperator​(PlanProtocol.WindowOperator.Builder builderForValue)
`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

### mergeWindowOperator

public PlanProtocol.Operator.Builder mergeWindowOperator​(PlanProtocol.WindowOperator value)
`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

### clearWindowOperator

public PlanProtocol.Operator.Builder clearWindowOperator()
`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

### getWindowOperatorBuilder

public PlanProtocol.WindowOperator.Builder getWindowOperatorBuilder()
`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

### getWindowOperatorOrBuilder

public PlanProtocol.WindowOperatorOrBuilder getWindowOperatorOrBuilder()
`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

Specified by:
  `getWindowOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasErrorOperator

public boolean hasErrorOperator()
`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

Specified by:
  `hasErrorOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getErrorOperator

public PlanProtocol.ErrorOperator getErrorOperator()
`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

Specified by:
  `getErrorOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setErrorOperator

public PlanProtocol.Operator.Builder setErrorOperator​(PlanProtocol.ErrorOperator value)
`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

### setErrorOperator

public PlanProtocol.Operator.Builder setErrorOperator​(PlanProtocol.ErrorOperator.Builder builderForValue)
`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

### mergeErrorOperator

public PlanProtocol.Operator.Builder mergeErrorOperator​(PlanProtocol.ErrorOperator value)
`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

### clearErrorOperator

public PlanProtocol.Operator.Builder clearErrorOperator()
`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

### getErrorOperatorBuilder

public PlanProtocol.ErrorOperator.Builder getErrorOperatorBuilder()
`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

### getErrorOperatorOrBuilder

public PlanProtocol.ErrorOperatorOrBuilder getErrorOperatorOrBuilder()
`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

Specified by:
  `getErrorOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasIndexAggOperator

public boolean hasIndexAggOperator()
`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

Specified by:
  `hasIndexAggOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getIndexAggOperator

public PlanProtocol.IndexAggOperator getIndexAggOperator()
`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

Specified by:
  `getIndexAggOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setIndexAggOperator

public PlanProtocol.Operator.Builder setIndexAggOperator​(PlanProtocol.IndexAggOperator value)
`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

### setIndexAggOperator

public PlanProtocol.Operator.Builder setIndexAggOperator​(PlanProtocol.IndexAggOperator.Builder builderForValue)
`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

### mergeIndexAggOperator

public PlanProtocol.Operator.Builder mergeIndexAggOperator​(PlanProtocol.IndexAggOperator value)
`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

### clearIndexAggOperator

public PlanProtocol.Operator.Builder clearIndexAggOperator()
`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

### getIndexAggOperatorBuilder

public PlanProtocol.IndexAggOperator.Builder getIndexAggOperatorBuilder()
`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

### getIndexAggOperatorOrBuilder

public PlanProtocol.IndexAggOperatorOrBuilder getIndexAggOperatorOrBuilder()
`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

Specified by:
  `getIndexAggOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasOrderedAggOperator

public boolean hasOrderedAggOperator()
`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

Specified by:
  `hasOrderedAggOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getOrderedAggOperator

public PlanProtocol.OrderedAggOperator getOrderedAggOperator()
`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

Specified by:
  `getOrderedAggOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setOrderedAggOperator

public PlanProtocol.Operator.Builder setOrderedAggOperator​(PlanProtocol.OrderedAggOperator value)
`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

### setOrderedAggOperator

public PlanProtocol.Operator.Builder setOrderedAggOperator​(PlanProtocol.OrderedAggOperator.Builder builderForValue)
`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

### mergeOrderedAggOperator

public PlanProtocol.Operator.Builder mergeOrderedAggOperator​(PlanProtocol.OrderedAggOperator value)
`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

### clearOrderedAggOperator

public PlanProtocol.Operator.Builder clearOrderedAggOperator()
`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

### getOrderedAggOperatorBuilder

public PlanProtocol.OrderedAggOperator.Builder getOrderedAggOperatorBuilder()
`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

### getOrderedAggOperatorOrBuilder

public PlanProtocol.OrderedAggOperatorOrBuilder getOrderedAggOperatorOrBuilder()
`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

Specified by:
  `getOrderedAggOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasIndexDistinctOperator

public boolean hasIndexDistinctOperator()
`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

Specified by:
  `hasIndexDistinctOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getIndexDistinctOperator

public PlanProtocol.IndexDistinctOperator getIndexDistinctOperator()
`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

Specified by:
  `getIndexDistinctOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setIndexDistinctOperator

public PlanProtocol.Operator.Builder setIndexDistinctOperator​(PlanProtocol.IndexDistinctOperator value)
`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

### setIndexDistinctOperator

public PlanProtocol.Operator.Builder setIndexDistinctOperator​(PlanProtocol.IndexDistinctOperator.Builder builderForValue)
`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

### mergeIndexDistinctOperator

public PlanProtocol.Operator.Builder mergeIndexDistinctOperator​(PlanProtocol.IndexDistinctOperator value)
`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

### clearIndexDistinctOperator

public PlanProtocol.Operator.Builder clearIndexDistinctOperator()
`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

### getIndexDistinctOperatorBuilder

public PlanProtocol.IndexDistinctOperator.Builder getIndexDistinctOperatorBuilder()
`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

### getIndexDistinctOperatorOrBuilder

public PlanProtocol.IndexDistinctOperatorOrBuilder getIndexDistinctOperatorOrBuilder()
`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

Specified by:
  `getIndexDistinctOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasOrderedDistinctOperator

public boolean hasOrderedDistinctOperator()
`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

Specified by:
  `hasOrderedDistinctOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getOrderedDistinctOperator

public PlanProtocol.OrderedDistinctOperator getOrderedDistinctOperator()
`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

Specified by:
  `getOrderedDistinctOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setOrderedDistinctOperator

public PlanProtocol.Operator.Builder setOrderedDistinctOperator​(PlanProtocol.OrderedDistinctOperator value)
`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

### setOrderedDistinctOperator

public PlanProtocol.Operator.Builder setOrderedDistinctOperator​(PlanProtocol.OrderedDistinctOperator.Builder builderForValue)
`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

### mergeOrderedDistinctOperator

public PlanProtocol.Operator.Builder mergeOrderedDistinctOperator​(PlanProtocol.OrderedDistinctOperator value)
`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

### clearOrderedDistinctOperator

public PlanProtocol.Operator.Builder clearOrderedDistinctOperator()
`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

### getOrderedDistinctOperatorBuilder

public PlanProtocol.OrderedDistinctOperator.Builder getOrderedDistinctOperatorBuilder()
`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

### getOrderedDistinctOperatorOrBuilder

public PlanProtocol.OrderedDistinctOperatorOrBuilder getOrderedDistinctOperatorOrBuilder()
`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

Specified by:
  `getOrderedDistinctOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasIncrementingBigintOperator

public boolean hasIncrementingBigintOperator()
`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

Specified by:
  `hasIncrementingBigintOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getIncrementingBigintOperator

public PlanProtocol.IncrementingBigIntOperator getIncrementingBigintOperator()
`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

Specified by:
  `getIncrementingBigintOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setIncrementingBigintOperator

public PlanProtocol.Operator.Builder setIncrementingBigintOperator​(PlanProtocol.IncrementingBigIntOperator value)
`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

### setIncrementingBigintOperator

public PlanProtocol.Operator.Builder setIncrementingBigintOperator​(PlanProtocol.IncrementingBigIntOperator.Builder builderForValue)
`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

### mergeIncrementingBigintOperator

public PlanProtocol.Operator.Builder mergeIncrementingBigintOperator​(PlanProtocol.IncrementingBigIntOperator value)
`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

### clearIncrementingBigintOperator

public PlanProtocol.Operator.Builder clearIncrementingBigintOperator()
`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

### getIncrementingBigintOperatorBuilder

public PlanProtocol.IncrementingBigIntOperator.Builder getIncrementingBigintOperatorBuilder()
`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

### getIncrementingBigintOperatorOrBuilder

public PlanProtocol.IncrementingBigIntOperatorOrBuilder getIncrementingBigintOperatorOrBuilder()
`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

Specified by:
  `getIncrementingBigintOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasIndexCountStarOperator

public boolean hasIndexCountStarOperator()
`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

Specified by:
  `hasIndexCountStarOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getIndexCountStarOperator

public PlanProtocol.IndexCountStarOperator getIndexCountStarOperator()
`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

Specified by:
  `getIndexCountStarOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setIndexCountStarOperator

public PlanProtocol.Operator.Builder setIndexCountStarOperator​(PlanProtocol.IndexCountStarOperator value)
`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

### setIndexCountStarOperator

public PlanProtocol.Operator.Builder setIndexCountStarOperator​(PlanProtocol.IndexCountStarOperator.Builder builderForValue)
`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

### mergeIndexCountStarOperator

public PlanProtocol.Operator.Builder mergeIndexCountStarOperator​(PlanProtocol.IndexCountStarOperator value)
`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

### clearIndexCountStarOperator

public PlanProtocol.Operator.Builder clearIndexCountStarOperator()
`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

### getIndexCountStarOperatorBuilder

public PlanProtocol.IndexCountStarOperator.Builder getIndexCountStarOperatorBuilder()
`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

### getIndexCountStarOperatorOrBuilder

public PlanProtocol.IndexCountStarOperatorOrBuilder getIndexCountStarOperatorOrBuilder()
`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

Specified by:
  `getIndexCountStarOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasGdcLookupOperator

public boolean hasGdcLookupOperator()
`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

Specified by:
  `hasGdcLookupOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getGdcLookupOperator

public PlanProtocol.GdcLookupOperator getGdcLookupOperator()
`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

Specified by:
  `getGdcLookupOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setGdcLookupOperator

public PlanProtocol.Operator.Builder setGdcLookupOperator​(PlanProtocol.GdcLookupOperator value)
`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

### setGdcLookupOperator

public PlanProtocol.Operator.Builder setGdcLookupOperator​(PlanProtocol.GdcLookupOperator.Builder builderForValue)
`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

### mergeGdcLookupOperator

public PlanProtocol.Operator.Builder mergeGdcLookupOperator​(PlanProtocol.GdcLookupOperator value)
`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

### clearGdcLookupOperator

public PlanProtocol.Operator.Builder clearGdcLookupOperator()
`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

### getGdcLookupOperatorBuilder

public PlanProtocol.GdcLookupOperator.Builder getGdcLookupOperatorBuilder()
`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

### getGdcLookupOperatorOrBuilder

public PlanProtocol.GdcLookupOperatorOrBuilder getGdcLookupOperatorOrBuilder()
`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

Specified by:
  `getGdcLookupOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasReferenceOperator

public boolean hasReferenceOperator()
`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

Specified by:
  `hasReferenceOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getReferenceOperator

public PlanProtocol.ReferenceOperator getReferenceOperator()
`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

Specified by:
  `getReferenceOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setReferenceOperator

public PlanProtocol.Operator.Builder setReferenceOperator​(PlanProtocol.ReferenceOperator value)
`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

### setReferenceOperator

public PlanProtocol.Operator.Builder setReferenceOperator​(PlanProtocol.ReferenceOperator.Builder builderForValue)
`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

### mergeReferenceOperator

public PlanProtocol.Operator.Builder mergeReferenceOperator​(PlanProtocol.ReferenceOperator value)
`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

### clearReferenceOperator

public PlanProtocol.Operator.Builder clearReferenceOperator()
`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

### getReferenceOperatorBuilder

public PlanProtocol.ReferenceOperator.Builder getReferenceOperatorBuilder()
`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

### getReferenceOperatorOrBuilder

public PlanProtocol.ReferenceOperatorOrBuilder getReferenceOperatorOrBuilder()
`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

Specified by:
  `getReferenceOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasModifySchemaOperator

public boolean hasModifySchemaOperator()
`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

Specified by:
  `hasModifySchemaOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getModifySchemaOperator

public PlanProtocol.ModifySchemaOperator getModifySchemaOperator()
`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

Specified by:
  `getModifySchemaOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setModifySchemaOperator

public PlanProtocol.Operator.Builder setModifySchemaOperator​(PlanProtocol.ModifySchemaOperator value)
`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

### setModifySchemaOperator

public PlanProtocol.Operator.Builder setModifySchemaOperator​(PlanProtocol.ModifySchemaOperator.Builder builderForValue)
`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

### mergeModifySchemaOperator

public PlanProtocol.Operator.Builder mergeModifySchemaOperator​(PlanProtocol.ModifySchemaOperator value)
`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

### clearModifySchemaOperator

public PlanProtocol.Operator.Builder clearModifySchemaOperator()
`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

### getModifySchemaOperatorBuilder

public PlanProtocol.ModifySchemaOperator.Builder getModifySchemaOperatorBuilder()
`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

### getModifySchemaOperatorOrBuilder

public PlanProtocol.ModifySchemaOperatorOrBuilder getModifySchemaOperatorOrBuilder()
`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

Specified by:
  `getModifySchemaOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasSystemConfigurationVirtualOperator

public boolean hasSystemConfigurationVirtualOperator()
`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

Specified by:
  `hasSystemConfigurationVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getSystemConfigurationVirtualOperator

public PlanProtocol.SystemConfigurationVirtualOperator getSystemConfigurationVirtualOperator()
`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

Specified by:
  `getSystemConfigurationVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setSystemConfigurationVirtualOperator

public PlanProtocol.Operator.Builder setSystemConfigurationVirtualOperator​(PlanProtocol.SystemConfigurationVirtualOperator value)
`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

### setSystemConfigurationVirtualOperator

public PlanProtocol.Operator.Builder setSystemConfigurationVirtualOperator​(PlanProtocol.SystemConfigurationVirtualOperator.Builder builderForValue)
`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

### mergeSystemConfigurationVirtualOperator

public PlanProtocol.Operator.Builder mergeSystemConfigurationVirtualOperator​(PlanProtocol.SystemConfigurationVirtualOperator value)
`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

### clearSystemConfigurationVirtualOperator

public PlanProtocol.Operator.Builder clearSystemConfigurationVirtualOperator()
`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

### getSystemConfigurationVirtualOperatorBuilder

public PlanProtocol.SystemConfigurationVirtualOperator.Builder getSystemConfigurationVirtualOperatorBuilder()
`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

### getSystemConfigurationVirtualOperatorOrBuilder

public PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder getSystemConfigurationVirtualOperatorOrBuilder()
`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

Specified by:
  `getSystemConfigurationVirtualOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasTableCardVirtualOperator

public boolean hasTableCardVirtualOperator()
`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

Specified by:
  `hasTableCardVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getTableCardVirtualOperator

public PlanProtocol.TableCardVirtualOperator getTableCardVirtualOperator()
`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

Specified by:
  `getTableCardVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setTableCardVirtualOperator

public PlanProtocol.Operator.Builder setTableCardVirtualOperator​(PlanProtocol.TableCardVirtualOperator value)
`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

### setTableCardVirtualOperator

public PlanProtocol.Operator.Builder setTableCardVirtualOperator​(PlanProtocol.TableCardVirtualOperator.Builder builderForValue)
`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

### mergeTableCardVirtualOperator

public PlanProtocol.Operator.Builder mergeTableCardVirtualOperator​(PlanProtocol.TableCardVirtualOperator value)
`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

### clearTableCardVirtualOperator

public PlanProtocol.Operator.Builder clearTableCardVirtualOperator()
`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

### getTableCardVirtualOperatorBuilder

public PlanProtocol.TableCardVirtualOperator.Builder getTableCardVirtualOperatorBuilder()
`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

### getTableCardVirtualOperatorOrBuilder

public PlanProtocol.TableCardVirtualOperatorOrBuilder getTableCardVirtualOperatorOrBuilder()
`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

Specified by:
  `getTableCardVirtualOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasColCardVirtualOperator

public boolean hasColCardVirtualOperator()
`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

Specified by:
  `hasColCardVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getColCardVirtualOperator

public PlanProtocol.ColCardVirtualOperator getColCardVirtualOperator()
`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

Specified by:
  `getColCardVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setColCardVirtualOperator

public PlanProtocol.Operator.Builder setColCardVirtualOperator​(PlanProtocol.ColCardVirtualOperator value)
`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

### setColCardVirtualOperator

public PlanProtocol.Operator.Builder setColCardVirtualOperator​(PlanProtocol.ColCardVirtualOperator.Builder builderForValue)
`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

### mergeColCardVirtualOperator

public PlanProtocol.Operator.Builder mergeColCardVirtualOperator​(PlanProtocol.ColCardVirtualOperator value)
`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

### clearColCardVirtualOperator

public PlanProtocol.Operator.Builder clearColCardVirtualOperator()
`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

### getColCardVirtualOperatorBuilder

public PlanProtocol.ColCardVirtualOperator.Builder getColCardVirtualOperatorBuilder()
`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

### getColCardVirtualOperatorOrBuilder

public PlanProtocol.ColCardVirtualOperatorOrBuilder getColCardVirtualOperatorOrBuilder()
`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

Specified by:
  `getColCardVirtualOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasAvgColSizeVirtualOperator

public boolean hasAvgColSizeVirtualOperator()
`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

Specified by:
  `hasAvgColSizeVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getAvgColSizeVirtualOperator

public PlanProtocol.AvgColSizeVirtualOperator getAvgColSizeVirtualOperator()
`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

Specified by:
  `getAvgColSizeVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setAvgColSizeVirtualOperator

public PlanProtocol.Operator.Builder setAvgColSizeVirtualOperator​(PlanProtocol.AvgColSizeVirtualOperator value)
`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

### setAvgColSizeVirtualOperator

public PlanProtocol.Operator.Builder setAvgColSizeVirtualOperator​(PlanProtocol.AvgColSizeVirtualOperator.Builder builderForValue)
`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

### mergeAvgColSizeVirtualOperator

public PlanProtocol.Operator.Builder mergeAvgColSizeVirtualOperator​(PlanProtocol.AvgColSizeVirtualOperator value)
`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

### clearAvgColSizeVirtualOperator

public PlanProtocol.Operator.Builder clearAvgColSizeVirtualOperator()
`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

### getAvgColSizeVirtualOperatorBuilder

public PlanProtocol.AvgColSizeVirtualOperator.Builder getAvgColSizeVirtualOperatorBuilder()
`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

### getAvgColSizeVirtualOperatorOrBuilder

public PlanProtocol.AvgColSizeVirtualOperatorOrBuilder getAvgColSizeVirtualOperatorOrBuilder()
`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

Specified by:
  `getAvgColSizeVirtualOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### hasColDistVirtualOperator

public boolean hasColDistVirtualOperator()
`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

Specified by:
  `hasColDistVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`

### getColDistVirtualOperator

public PlanProtocol.ColDistVirtualOperator getColDistVirtualOperator()
`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

Specified by:
  `getColDistVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`

### setColDistVirtualOperator

public PlanProtocol.Operator.Builder setColDistVirtualOperator​(PlanProtocol.ColDistVirtualOperator value)
`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

### setColDistVirtualOperator

public PlanProtocol.Operator.Builder setColDistVirtualOperator​(PlanProtocol.ColDistVirtualOperator.Builder builderForValue)
`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

### mergeColDistVirtualOperator

public PlanProtocol.Operator.Builder mergeColDistVirtualOperator​(PlanProtocol.ColDistVirtualOperator value)
`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

### clearColDistVirtualOperator

public PlanProtocol.Operator.Builder clearColDistVirtualOperator()
`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

### getColDistVirtualOperatorBuilder

public PlanProtocol.ColDistVirtualOperator.Builder getColDistVirtualOperatorBuilder()
`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

### getColDistVirtualOperatorOrBuilder

public PlanProtocol.ColDistVirtualOperatorOrBuilder getColDistVirtualOperatorOrBuilder()
`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

Specified by:
  `getColDistVirtualOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

### getTestoomflagsList

public List<Long> getTestoomflagsList()

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

Specified by:
  `getTestoomflagsList` in interface `PlanProtocol.OperatorOrBuilder`

### getTestoomflagsCount

public int getTestoomflagsCount()

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

Specified by:
  `getTestoomflagsCount` in interface `PlanProtocol.OperatorOrBuilder`

### getTestoomflags

public long getTestoomflags​(int index)

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

Specified by:
  `getTestoomflags` in interface `PlanProtocol.OperatorOrBuilder`

### setTestoomflags

public PlanProtocol.Operator.Builder setTestoomflags​(int index, long value)

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

### addTestoomflags

public PlanProtocol.Operator.Builder addTestoomflags​(long value)

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

### addAllTestoomflags

public PlanProtocol.Operator.Builder addAllTestoomflags​(Iterable<? extends Long> values)

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

### clearTestoomflags

public PlanProtocol.Operator.Builder clearTestoomflags()

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

### setUnknownFields

public final PlanProtocol.Operator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>`

### mergeUnknownFields

public final PlanProtocol.Operator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Operator.Builder>`